/** @file SingTrkDeltaY.C
  * @copyright Copyright (C) 2016 Facility for Antiproton and Ion Research in Europe, Darmstadt
  * @license SPDX-License-Identifier: GPL-3.0-only
  * @authors Pierre-Alain Loizeau [orginator] **/

{
  //=========Macro generated from canvas: Panel1/
  //=========  (Tue Sep 29 14:12:56 2015) by ROOT version5.34/32
  TCanvas* Panel1 = new TCanvas("Panel1", "", -1, 1, 1569, 844);
  Panel1->SetHighLightColor(2);
  Panel1->Range(-37.5, -1.827098, 37.5, 9.136925);
  Panel1->SetFillColor(0);
  Panel1->SetBorderMode(0);
  Panel1->SetBorderSize(2);
  Panel1->SetLogy();
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);

  THStack* TofTests_SingleTrackHitDeltaY = new THStack();
  TofTests_SingleTrackHitDeltaY->SetName("TofTests_SingleTrackHitDeltaY");
  TofTests_SingleTrackHitDeltaY->SetTitle("Quality of the Tof Hits position on Y axis, for hit coming from a single "
                                          "MC Track");

  TH1F* TofTests_SingleTrackHitDeltaY_stack_6 =
    new TH1F("TofTests_SingleTrackHitDeltaY_stack_6",
             "Quality of the Tof Hits position on Y axis, for hit coming from "
             "a single MC Track",
             600, -30, 30);
  TofTests_SingleTrackHitDeltaY_stack_6->SetMinimum(0.1859108);
  TofTests_SingleTrackHitDeltaY_stack_6->SetMaximum(1.0978e+08);
  TofTests_SingleTrackHitDeltaY_stack_6->SetDirectory(0);
  TofTests_SingleTrackHitDeltaY_stack_6->SetStats(0);

  Int_t ci;       // for color index setting
  TColor* color;  // for color definition with alpha
  ci = TColor::GetColor("#000099");
  TofTests_SingleTrackHitDeltaY_stack_6->SetLineColor(ci);
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetTitle(" Y(Hit) - X(Track) [cm]");
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetRange(1, 600);
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetXaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetTitle(" # [Hits]");
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetYaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY_stack_6->GetZaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY_stack_6->GetZaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY_stack_6->GetZaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetZaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY_stack_6->GetZaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY->SetHistogram(TofTests_SingleTrackHitDeltaY_stack_6);


  TH1D* TofTests_SingleTrackHitDeltaY__21 = new TH1D("TofTests_SingleTrackHitDeltaY__21",
                                                     "Quality of the Tof Hits position on Y axis, for hit coming from "
                                                     "a single MC Track",
                                                     600, -30, 30);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(93, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(101, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(121, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(123, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(126, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(128, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(139, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(147, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(156, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(158, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(161, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(163, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(164, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(166, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(167, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(169, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(170, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(172, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(174, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(176, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(177, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(178, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(180, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(181, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(182, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(183, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(184, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(185, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(186, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(187, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(188, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(189, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(190, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(191, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(192, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(193, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(194, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(195, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(196, 9);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(197, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(198, 8);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(199, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(200, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(201, 7);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(202, 9);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(203, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(204, 10);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(205, 13);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(206, 6);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(207, 7);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(208, 12);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(209, 8);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(210, 14);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(211, 16);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(212, 9);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(213, 27);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(214, 14);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(215, 15);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(216, 22);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(217, 12);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(218, 24);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(219, 34);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(220, 26);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(221, 26);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(222, 39);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(223, 36);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(224, 35);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(225, 31);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(226, 47);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(227, 50);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(228, 47);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(229, 53);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(230, 57);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(231, 61);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(232, 72);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(233, 49);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(234, 80);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(235, 88);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(236, 91);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(237, 98);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(238, 115);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(239, 108);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(240, 116);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(241, 140);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(242, 153);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(243, 190);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(244, 209);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(245, 190);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(246, 222);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(247, 221);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(248, 264);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(249, 308);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(250, 347);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(251, 414);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(252, 461);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(253, 501);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(254, 528);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(255, 616);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(256, 682);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(257, 783);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(258, 861);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(259, 1022);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(260, 1181);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(261, 1314);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(262, 1437);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(263, 1656);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(264, 1869);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(265, 2129);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(266, 2402);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(267, 2712);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(268, 3027);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(269, 3547);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(270, 3982);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(271, 4475);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(272, 5149);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(273, 6043);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(274, 6970);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(275, 8152);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(276, 9910);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(277, 11971);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(278, 15041);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(279, 19828);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(280, 27038);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(281, 39831);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(282, 62463);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(283, 101595);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(284, 170437);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(285, 288267);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(286, 485727);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(287, 811022);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(288, 1326295);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(289, 2119520);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(290, 3303749);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(291, 5010434);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(292, 7380705);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(293, 1.053734e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(294, 1.458873e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(295, 1.949658e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(296, 2.506869e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(297, 3.091134e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(298, 3.640241e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(299, 4.074562e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(300, 4.328159e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(301, 4.325748e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(302, 4.06455e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(303, 3.626236e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(304, 3.074439e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(305, 2.490127e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(306, 1.933577e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(307, 1.445136e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(308, 1.042036e+07);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(309, 7274132);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(310, 4930577);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(311, 3245031);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(312, 2072841);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(313, 1291468);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(314, 782096);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(315, 463867);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(316, 269206);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(317, 155712);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(318, 89790);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(319, 52701);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(320, 31580);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(321, 19855);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(322, 13278);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(323, 9514);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(324, 6968);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(325, 5476);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(326, 4259);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(327, 3431);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(328, 2876);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(329, 2431);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(330, 2018);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(331, 1708);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(332, 1445);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(333, 1216);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(334, 1118);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(335, 968);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(336, 846);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(337, 691);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(338, 592);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(339, 506);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(340, 442);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(341, 421);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(342, 376);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(343, 312);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(344, 281);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(345, 256);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(346, 226);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(347, 178);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(348, 145);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(349, 136);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(350, 136);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(351, 94);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(352, 89);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(353, 77);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(354, 68);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(355, 73);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(356, 55);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(357, 65);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(358, 44);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(359, 50);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(360, 39);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(361, 39);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(362, 29);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(363, 23);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(364, 26);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(365, 27);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(366, 22);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(367, 17);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(368, 15);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(369, 11);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(370, 17);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(371, 19);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(372, 13);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(373, 8);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(374, 9);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(375, 6);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(376, 6);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(377, 11);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(378, 9);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(379, 7);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(380, 7);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(381, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(382, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(383, 10);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(384, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(385, 5);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(386, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(387, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(388, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(389, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(390, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(391, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(392, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(393, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(394, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(395, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(396, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(398, 4);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(399, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(400, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(401, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(403, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(404, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(405, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(406, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(409, 3);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(410, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(414, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(416, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(417, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(418, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(421, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(425, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(428, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(433, 2);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(438, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(449, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(454, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(517, 1);
  TofTests_SingleTrackHitDeltaY__21->SetBinContent(550, 1);
  TofTests_SingleTrackHitDeltaY__21->SetEntries(4.830426e+08);
  TofTests_SingleTrackHitDeltaY__21->SetDirectory(0);
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetTitle(" Y(Hit) - X(Track) [cm]");
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetRange(1, 600);
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetXaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetTitle(" # [Hits]");
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetYaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__21->GetZaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__21->GetZaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetZaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__21->GetZaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY->Add(TofTests_SingleTrackHitDeltaY, "");

  TH1D* TofTests_SingleTrackHitDeltaY__22 = new TH1D("TofTests_SingleTrackHitDeltaY__22",
                                                     "Quality of the Tof Hits position on Y axis, for hit coming from "
                                                     "a single MC Track",
                                                     600, -30, 30);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(97, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(101, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(109, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(110, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(147, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(149, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(150, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(151, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(153, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(155, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(158, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(159, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(162, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(163, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(164, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(167, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(168, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(169, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(170, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(171, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(172, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(173, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(174, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(175, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(178, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(179, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(180, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(181, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(182, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(183, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(184, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(185, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(187, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(188, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(189, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(190, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(191, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(192, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(193, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(194, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(195, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(196, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(197, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(198, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(199, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(200, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(201, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(202, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(203, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(204, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(205, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(206, 10);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(207, 8);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(208, 13);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(209, 11);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(210, 9);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(211, 10);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(212, 14);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(213, 23);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(214, 11);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(215, 18);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(216, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(217, 24);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(218, 20);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(219, 30);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(220, 26);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(221, 24);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(222, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(223, 31);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(224, 34);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(225, 32);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(226, 44);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(227, 34);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(228, 35);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(229, 44);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(230, 47);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(231, 49);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(232, 61);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(233, 58);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(234, 74);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(235, 69);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(236, 65);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(237, 86);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(238, 102);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(239, 105);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(240, 114);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(241, 114);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(242, 116);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(243, 128);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(244, 189);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(245, 203);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(246, 211);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(247, 250);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(248, 260);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(249, 268);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(250, 363);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(251, 341);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(252, 441);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(253, 468);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(254, 538);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(255, 612);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(256, 623);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(257, 743);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(258, 805);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(259, 930);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(260, 1005);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(261, 1159);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(262, 1359);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(263, 1507);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(264, 1817);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(265, 1954);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(266, 2285);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(267, 2540);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(268, 2807);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(269, 3248);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(270, 3715);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(271, 4174);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(272, 4832);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(273, 5722);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(274, 6435);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(275, 7708);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(276, 9168);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(277, 11046);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(278, 14067);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(279, 18256);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(280, 25408);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(281, 37414);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(282, 58442);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(283, 94692);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(284, 159524);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(285, 269751);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(286, 454970);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(287, 760970);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(288, 1245861);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(289, 1992189);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(290, 3104135);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(291, 4704555);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(292, 6922631);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(293, 9881133);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(294, 1.366839e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(295, 1.823888e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(296, 2.343652e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(297, 2.888076e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(298, 3.39728e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(299, 3.803302e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(300, 4.038785e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(301, 4.03724e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(302, 3.795108e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(303, 3.38614e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(304, 2.87385e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(305, 2.330287e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(306, 1.810096e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(307, 1.353694e+07);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(308, 9775363);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(309, 6830852);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(310, 4639124);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(311, 3050163);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(312, 1948870);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(313, 1214597);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(314, 734917);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(315, 435396);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(316, 254006);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(317, 145438);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(318, 84122);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(319, 49363);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(320, 29753);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(321, 18583);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(322, 12298);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(323, 8777);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(324, 6561);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(325, 5114);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(326, 3934);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(327, 3401);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(328, 2708);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(329, 2246);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(330, 1932);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(331, 1611);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(332, 1433);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(333, 1190);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(334, 977);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(335, 936);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(336, 833);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(337, 653);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(338, 563);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(339, 501);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(340, 426);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(341, 420);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(342, 332);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(343, 311);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(344, 277);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(345, 226);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(346, 208);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(347, 179);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(348, 157);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(349, 136);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(350, 141);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(351, 98);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(352, 88);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(353, 78);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(354, 75);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(355, 72);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(356, 50);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(357, 54);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(358, 57);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(359, 37);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(360, 44);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(361, 32);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(362, 25);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(363, 22);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(364, 17);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(365, 19);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(366, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(367, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(368, 18);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(369, 14);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(370, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(371, 8);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(372, 16);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(373, 7);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(374, 8);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(375, 11);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(376, 7);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(377, 7);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(378, 8);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(379, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(380, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(381, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(382, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(383, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(384, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(385, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(386, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(387, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(388, 6);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(389, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(390, 5);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(391, 4);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(392, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(393, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(394, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(395, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(396, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(397, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(398, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(400, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(402, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(404, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(405, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(407, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(409, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(410, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(411, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(412, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(415, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(417, 3);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(421, 2);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(424, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(428, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(433, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(434, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(436, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(442, 1);
  TofTests_SingleTrackHitDeltaY__22->SetBinContent(463, 1);
  TofTests_SingleTrackHitDeltaY__22->SetEntries(4.51578e+08);
  TofTests_SingleTrackHitDeltaY__22->SetDirectory(0);
  TofTests_SingleTrackHitDeltaY__22->SetLineColor(2);
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetTitle(" Y(Hit) - X(Track) [cm]");
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetRange(1, 600);
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetXaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetTitle(" # [Hits]");
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetYaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__22->GetZaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__22->GetZaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetZaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__22->GetZaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY->Add(TofTests_SingleTrackHitDeltaY, "");

  TH1D* TofTests_SingleTrackHitDeltaY__23 = new TH1D("TofTests_SingleTrackHitDeltaY__23",
                                                     "Quality of the Tof Hits position on Y axis, for hit coming from "
                                                     "a single MC Track",
                                                     600, -30, 30);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(79, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(97, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(110, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(137, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(141, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(142, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(145, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(149, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(154, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(156, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(160, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(161, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(163, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(167, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(170, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(171, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(172, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(173, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(174, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(175, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(176, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(178, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(179, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(181, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(182, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(184, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(186, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(187, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(188, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(189, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(190, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(191, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(192, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(193, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(194, 5);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(195, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(196, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(197, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(198, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(199, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(200, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(201, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(202, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(203, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(204, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(205, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(206, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(207, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(208, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(209, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(210, 5);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(211, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(212, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(213, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(214, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(215, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(216, 13);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(217, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(218, 10);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(219, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(220, 6);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(221, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(222, 11);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(223, 18);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(224, 14);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(225, 10);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(226, 18);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(227, 17);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(228, 14);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(229, 17);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(230, 35);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(231, 31);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(232, 23);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(233, 29);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(234, 32);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(235, 28);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(236, 23);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(237, 24);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(238, 37);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(239, 30);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(240, 41);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(241, 40);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(242, 42);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(243, 56);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(244, 63);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(245, 50);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(246, 67);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(247, 66);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(248, 74);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(249, 86);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(250, 90);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(251, 84);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(252, 140);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(253, 142);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(254, 158);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(255, 171);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(256, 193);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(257, 227);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(258, 255);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(259, 297);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(260, 330);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(261, 348);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(262, 435);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(263, 492);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(264, 592);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(265, 635);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(266, 735);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(267, 835);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(268, 1036);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(269, 1171);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(270, 1343);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(271, 1478);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(272, 1886);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(273, 2272);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(274, 2594);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(275, 3007);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(276, 3746);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(277, 4804);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(278, 6434);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(279, 9375);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(280, 13702);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(281, 22211);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(282, 37483);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(283, 65104);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(284, 114987);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(285, 201193);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(286, 348346);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(287, 591462);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(288, 978093);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(289, 1568326);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(290, 2443768);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(291, 3691196);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(292, 5411628);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(293, 7668592);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(294, 1.052347e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(295, 1.393086e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(296, 1.773349e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(297, 2.16776e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(298, 2.533158e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(299, 2.821007e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(300, 2.989054e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(301, 2.986738e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(302, 2.814553e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(303, 2.523411e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(304, 2.155977e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(305, 1.762269e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(306, 1.382518e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(307, 1.044346e+07);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(308, 7610670);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(309, 5362247);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(310, 3659468);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(311, 2420141);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(312, 1549164);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(313, 963825);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(314, 580284);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(315, 341455);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(316, 194576);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(317, 109869);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(318, 60964);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(319, 33796);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(320, 19331);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(321, 11383);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(322, 7000);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(323, 4693);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(324, 3334);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(325, 2443);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(326, 1832);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(327, 1478);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(328, 1148);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(329, 927);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(330, 799);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(331, 592);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(332, 553);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(333, 444);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(334, 301);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(335, 309);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(336, 245);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(337, 207);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(338, 160);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(339, 148);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(340, 120);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(341, 88);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(342, 87);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(343, 82);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(344, 70);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(345, 63);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(346, 56);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(347, 45);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(348, 30);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(349, 31);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(350, 31);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(351, 19);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(352, 13);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(353, 25);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(354, 12);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(355, 13);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(356, 13);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(357, 8);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(358, 16);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(359, 10);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(360, 12);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(361, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(362, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(363, 5);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(364, 10);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(365, 5);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(366, 7);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(367, 8);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(368, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(369, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(370, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(371, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(372, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(373, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(374, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(375, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(376, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(377, 5);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(378, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(379, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(380, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(383, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(384, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(385, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(386, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(389, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(390, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(393, 4);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(396, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(398, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(402, 3);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(403, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(404, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(406, 2);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(409, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(417, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(418, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(419, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(421, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(422, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(432, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(433, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(451, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(452, 1);
  TofTests_SingleTrackHitDeltaY__23->SetBinContent(483, 1);
  TofTests_SingleTrackHitDeltaY__23->SetEntries(3.401431e+08);
  TofTests_SingleTrackHitDeltaY__23->SetDirectory(0);
  TofTests_SingleTrackHitDeltaY__23->SetLineColor(3);
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetTitle(" Y(Hit) - X(Track) [cm]");
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetRange(1, 600);
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetXaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetTitle(" # [Hits]");
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetYaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__23->GetZaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__23->GetZaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetZaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__23->GetZaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY->Add(TofTests_SingleTrackHitDeltaY, "");

  TH1D* TofTests_SingleTrackHitDeltaY__24 = new TH1D("TofTests_SingleTrackHitDeltaY__24",
                                                     "Quality of the Tof Hits position on Y axis, for hit coming from "
                                                     "a single MC Track",
                                                     600, -30, 30);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(41, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(100, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(101, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(127, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(129, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(134, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(145, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(161, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(162, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(170, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(173, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(175, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(176, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(177, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(178, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(180, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(181, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(182, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(184, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(185, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(186, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(187, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(188, 5);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(189, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(190, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(191, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(193, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(194, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(195, 6);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(196, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(197, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(198, 5);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(199, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(200, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(201, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(202, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(203, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(204, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(205, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(206, 8);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(207, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(208, 5);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(209, 7);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(210, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(211, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(212, 8);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(213, 7);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(214, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(215, 7);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(216, 8);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(217, 14);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(218, 10);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(219, 5);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(220, 15);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(221, 19);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(222, 10);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(223, 14);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(224, 10);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(225, 12);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(226, 15);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(227, 16);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(228, 9);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(229, 22);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(230, 20);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(231, 14);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(232, 25);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(233, 18);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(234, 21);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(235, 28);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(236, 23);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(237, 35);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(238, 22);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(239, 29);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(240, 30);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(241, 41);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(242, 32);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(243, 42);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(244, 51);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(245, 55);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(246, 65);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(247, 65);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(248, 66);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(249, 82);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(250, 99);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(251, 88);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(252, 123);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(253, 116);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(254, 164);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(255, 156);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(256, 177);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(257, 210);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(258, 234);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(259, 268);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(260, 295);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(261, 339);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(262, 403);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(263, 471);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(264, 545);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(265, 621);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(266, 689);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(267, 739);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(268, 906);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(269, 1017);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(270, 1272);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(271, 1400);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(272, 1721);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(273, 2008);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(274, 2357);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(275, 2826);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(276, 3469);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(277, 4374);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(278, 5730);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(279, 7909);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(280, 11933);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(281, 18760);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(282, 31550);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(283, 54390);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(284, 95058);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(285, 166284);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(286, 287233);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(287, 486456);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(288, 802809);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(289, 1287634);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(290, 2006046);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(291, 3030487);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(292, 4435498);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(293, 6291158);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(294, 8623005);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(295, 1.141038e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(296, 1.452318e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(297, 1.774985e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(298, 2.074565e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(299, 2.311025e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(300, 2.44747e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(301, 2.444966e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(302, 2.305661e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(303, 2.06697e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(304, 1.767328e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(305, 1.444593e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(306, 1.133507e+07);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(307, 8566811);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(308, 6245088);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(309, 4408014);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(310, 3003491);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(311, 1986691);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(312, 1274186);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(313, 792707);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(314, 478053);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(315, 279666);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(316, 161605);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(317, 90811);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(318, 50585);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(319, 28411);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(320, 16510);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(321, 9648);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(322, 6056);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(323, 4086);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(324, 2855);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(325, 2066);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(326, 1661);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(327, 1360);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(328, 1109);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(329, 861);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(330, 732);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(331, 583);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(332, 524);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(333, 364);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(334, 322);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(335, 275);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(336, 263);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(337, 195);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(338, 167);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(339, 136);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(340, 113);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(341, 100);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(342, 102);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(343, 85);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(344, 70);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(345, 53);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(346, 39);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(347, 40);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(348, 32);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(349, 29);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(350, 27);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(351, 12);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(352, 21);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(353, 17);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(354, 17);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(355, 9);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(356, 12);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(357, 12);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(358, 15);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(359, 10);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(360, 6);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(361, 9);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(362, 7);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(363, 9);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(364, 7);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(365, 10);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(366, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(367, 5);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(368, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(369, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(370, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(371, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(372, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(373, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(374, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(375, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(377, 4);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(378, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(379, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(381, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(384, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(387, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(388, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(389, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(390, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(391, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(396, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(398, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(401, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(402, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(404, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(406, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(407, 3);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(409, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(416, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(418, 2);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(421, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(422, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(427, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(453, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(477, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(487, 1);
  TofTests_SingleTrackHitDeltaY__24->SetBinContent(548, 1);
  TofTests_SingleTrackHitDeltaY__24->SetEntries(2.787312e+08);
  TofTests_SingleTrackHitDeltaY__24->SetDirectory(0);
  TofTests_SingleTrackHitDeltaY__24->SetLineColor(4);
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetTitle(" Y(Hit) - X(Track) [cm]");
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetRange(1, 600);
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetXaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetTitle(" # [Hits]");
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetRange(1, 1);
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetYaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY__24->GetZaxis()->SetLabelFont(42);
  TofTests_SingleTrackHitDeltaY__24->GetZaxis()->SetLabelSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetZaxis()->SetTitleSize(0.035);
  TofTests_SingleTrackHitDeltaY__24->GetZaxis()->SetTitleFont(42);
  TofTests_SingleTrackHitDeltaY->Add(TofTests_SingleTrackHitDeltaY, "");
  TofTests_SingleTrackHitDeltaY->Draw("nostack, hist");

  TPaveText* pt = new TPaveText(0.15, 0.932931, 0.85, 0.995, "blNDC");
  pt->SetName("title");
  pt->SetBorderSize(0);
  pt->SetFillColor(0);
  pt->SetFillStyle(0);
  pt->SetTextFont(42);
  TText* text = pt->AddText("Quality of the Tof Hits position on Y axis, for "
                            "hit coming from a single MC Track");
  pt->Draw();

  TLegend* leg = new TLegend(0.6019169, 0.7821429, 0.9514377, 0.922619, NULL, "brNDC");
  leg->SetBorderSize(2);
  leg->SetLineColor(1);
  leg->SetLineStyle(1);
  leg->SetLineWidth(1);
  leg->SetFillColor(0);
  leg->SetFillStyle(1001);
  TLegendEntry* entry = leg->AddEntry("TofTests_SingleTrackHitDeltaY", "TofTests_SingleTrackHitDeltaY", "l");
  entry->SetLineColor(1);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_SingleTrackHitDeltaY", "TofTests_SingleTrackHitDeltaY", "l");
  entry->SetLineColor(2);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_SingleTrackHitDeltaY", "TofTests_SingleTrackHitDeltaY", "l");
  entry->SetLineColor(3);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_SingleTrackHitDeltaY", "TofTests_SingleTrackHitDeltaY", "l");
  entry->SetLineColor(4);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  leg->Draw();
  Panel1->Modified();
  Panel1->cd();
  Panel1->SetSelected(Panel1);
}
