/** @file MultiPntDeltaYClosest.C
  * @copyright Copyright (C) 2016 Facility for Antiproton and Ion Research in Europe, Darmstadt
  * @license SPDX-License-Identifier: GPL-3.0-only
  * @authors Pierre-Alain Loizeau [orginator] **/

{
  //=========Macro generated from canvas: Panel1/
  //=========  (Tue Sep 29 13:53:52 2015) by ROOT version5.34/32
  TCanvas* Panel1 = new TCanvas("Panel1", "", -1, 1, 1569, 844);
  Panel1->SetHighLightColor(2);
  Panel1->Range(-37.5, -1.768911, 37.5, 8.760176);
  Panel1->SetFillColor(0);
  Panel1->SetBorderMode(0);
  Panel1->SetBorderSize(2);
  Panel1->SetLogy();
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);

  THStack* TofTests_MultiPntHitClosestDeltaY_px = new THStack();
  TofTests_MultiPntHitClosestDeltaY_px->SetName("TofTests_MultiPntHitClosestDeltaY_px");
  TofTests_MultiPntHitClosestDeltaY_px->SetTitle(
    "Quality of the Tof Hits position on Y axis relative to closest Point, for "
    "hit coming from multiple MC Point");

  TH1F* TofTests_MultiPntHitClosestDeltaY_px_stack_1 =
    new TH1F("TofTests_MultiPntHitClosestDeltaY_px_stack_1",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Point, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->SetMinimum(0.1923082);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->SetMaximum(5.096441e+07);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->SetDirectory(0);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->SetStats(0);

  Int_t ci;       // for color index setting
  TColor* color;  // for color definition with alpha
  ci = TColor::GetColor("#000099");
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->SetLineColor(ci);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetZaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_stack_1->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px->SetHistogram(TofTests_MultiPntHitClosestDeltaY_px_stack_1);


  TH1D* TofTests_MultiPntHitClosestDeltaY_px__1 =
    new TH1D("TofTests_MultiPntHitClosestDeltaY_px__1",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Point, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(0, 2);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(23, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(37, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(39, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(41, 2);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(42, 3);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(43, 7);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(44, 5);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(45, 4);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(46, 10);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(47, 14);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(48, 9);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(49, 9);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(50, 9);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(51, 18);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(52, 10);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(53, 26);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(54, 17);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(55, 19);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(56, 21);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(57, 19);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(58, 18);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(59, 23);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(60, 32);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(61, 32);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(62, 28);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(63, 37);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(64, 54);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(65, 55);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(66, 53);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(67, 54);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(68, 51);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(69, 67);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(70, 49);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(71, 51);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(72, 65);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(73, 84);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(74, 70);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(75, 81);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(76, 67);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(77, 88);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(78, 81);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(79, 93);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(80, 97);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(81, 90);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(82, 99);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(83, 134);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(84, 109);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(85, 97);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(86, 131);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(87, 108);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(88, 135);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(89, 127);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(90, 127);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(91, 152);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(92, 153);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(93, 150);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(94, 148);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(95, 192);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(96, 168);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(97, 178);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(98, 185);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(99, 192);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(100, 200);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(101, 166);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(102, 199);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(103, 172);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(104, 224);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(105, 224);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(106, 243);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(107, 171);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(108, 262);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(109, 255);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(110, 225);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(111, 263);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(112, 251);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(113, 263);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(114, 268);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(115, 298);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(116, 264);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(117, 289);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(118, 301);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(119, 329);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(120, 334);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(121, 301);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(122, 304);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(123, 334);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(124, 323);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(125, 357);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(126, 336);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(127, 348);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(128, 398);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(129, 340);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(130, 361);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(131, 353);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(132, 374);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(133, 361);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(134, 405);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(135, 387);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(136, 399);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(137, 420);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(138, 426);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(139, 450);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(140, 461);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(141, 466);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(142, 409);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(143, 489);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(144, 481);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(145, 451);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(146, 427);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(147, 484);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(148, 512);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(149, 505);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(150, 463);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(151, 505);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(152, 569);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(153, 520);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(154, 566);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(155, 542);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(156, 619);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(157, 549);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(158, 565);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(159, 575);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(160, 552);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(161, 603);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(162, 600);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(163, 595);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(164, 573);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(165, 602);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(166, 666);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(167, 653);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(168, 659);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(169, 692);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(170, 694);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(171, 710);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(172, 764);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(173, 791);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(174, 823);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(175, 917);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(176, 902);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(177, 926);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(178, 968);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(179, 1064);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(180, 1123);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(181, 1112);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(182, 1114);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(183, 1262);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(184, 1370);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(185, 1326);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(186, 1423);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(187, 1487);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(188, 1581);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(189, 1658);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(190, 1753);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(191, 1845);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(192, 1873);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(193, 1925);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(194, 2071);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(195, 2175);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(196, 2298);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(197, 2423);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(198, 2419);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(199, 2536);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(200, 2598);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(201, 2662);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(202, 2943);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(203, 3217);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(204, 3546);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(205, 3981);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(206, 4442);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(207, 5032);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(208, 5710);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(209, 6230);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(210, 7061);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(211, 7891);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(212, 8666);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(213, 9854);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(214, 10524);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(215, 11822);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(216, 12713);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(217, 13886);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(218, 15067);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(219, 16177);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(220, 17547);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(221, 19263);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(222, 20665);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(223, 22102);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(224, 23320);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(225, 25079);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(226, 26485);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(227, 28296);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(228, 29649);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(229, 31293);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(230, 33289);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(231, 35098);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(232, 36474);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(233, 38863);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(234, 40350);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(235, 42082);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(236, 44003);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(237, 45767);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(238, 47884);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(239, 50132);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(240, 52018);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(241, 54514);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(242, 56152);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(243, 58350);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(244, 60281);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(245, 62814);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(246, 65301);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(247, 67257);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(248, 69278);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(249, 71626);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(250, 74319);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(251, 76598);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(252, 79657);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(253, 81540);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(254, 85870);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(255, 89042);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(256, 92739);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(257, 96502);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(258, 100963);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(259, 105285);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(260, 110438);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(261, 114401);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(262, 119810);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(263, 124825);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(264, 129906);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(265, 135208);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(266, 139692);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(267, 145067);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(268, 149559);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(269, 153863);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(270, 156924);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(271, 161000);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(272, 163371);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(273, 164301);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(274, 165219);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(275, 166485);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(276, 167617);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(277, 168808);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(278, 172330);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(279, 175924);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(280, 181194);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(281, 190364);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(282, 202007);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(283, 217920);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(284, 239049);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(285, 267281);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(286, 306590);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(287, 360496);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(288, 436891);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(289, 551978);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(290, 734009);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(291, 1029673);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(292, 1520225);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(293, 2321934);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(294, 3617121);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(295, 5606381);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(296, 8464170);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(297, 1.198602e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(298, 1.564745e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(299, 1.876978e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(300, 2.061671e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(301, 2.060106e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(302, 1.870226e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(303, 1.556384e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(304, 1.189367e+07);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(305, 8384400);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(306, 5550049);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(307, 3581958);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(308, 2305105);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(309, 1506828);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(310, 1024261);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(311, 730303);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(312, 551075);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(313, 435584);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(314, 359687);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(315, 306628);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(316, 266689);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(317, 239005);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(318, 217466);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(319, 201794);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(320, 190604);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(321, 182061);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(322, 176170);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(323, 171172);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(324, 169064);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(325, 167510);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(326, 166517);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(327, 164675);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(328, 164111);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(329, 162298);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(330, 160108);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(331, 156347);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(332, 153774);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(333, 149150);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(334, 144431);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(335, 139529);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(336, 134901);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(337, 130173);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(338, 124122);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(339, 119623);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(340, 115125);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(341, 109451);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(342, 104696);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(343, 100860);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(344, 96093);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(345, 92616);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(346, 88923);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(347, 84904);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(348, 82119);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(349, 78036);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(350, 76517);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(351, 73660);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(352, 71800);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(353, 69316);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(354, 66761);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(355, 64384);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(356, 62709);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(357, 60244);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(358, 58462);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(359, 56202);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(360, 53877);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(361, 51949);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(362, 49956);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(363, 48322);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(364, 46083);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(365, 43735);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(366, 42152);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(367, 40069);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(368, 38062);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(369, 36368);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(370, 34690);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(371, 32830);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(372, 31014);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(373, 29564);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(374, 28212);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(375, 26479);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(376, 25000);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(377, 23456);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(378, 21998);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(379, 20352);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(380, 18908);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(381, 17346);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(382, 16483);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(383, 15344);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(384, 13956);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(385, 12813);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(386, 11601);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(387, 10553);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(388, 9620);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(389, 8772);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(390, 7863);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(391, 6987);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(392, 6302);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(393, 5617);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(394, 4966);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(395, 4539);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(396, 3965);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(397, 3559);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(398, 3132);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(399, 2908);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(400, 2699);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(401, 2582);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(402, 2455);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(403, 2410);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(404, 2318);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(405, 2144);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(406, 2082);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(407, 2079);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(408, 1947);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(409, 1889);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(410, 1747);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(411, 1735);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(412, 1616);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(413, 1617);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(414, 1487);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(415, 1400);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(416, 1393);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(417, 1273);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(418, 1265);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(419, 1153);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(420, 1138);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(421, 1022);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(422, 1065);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(423, 932);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(424, 966);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(425, 923);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(426, 835);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(427, 763);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(428, 745);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(429, 738);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(430, 745);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(431, 714);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(432, 709);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(433, 683);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(434, 682);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(435, 630);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(436, 615);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(437, 641);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(438, 672);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(439, 622);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(440, 602);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(441, 574);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(442, 564);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(443, 588);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(444, 573);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(445, 556);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(446, 564);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(447, 534);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(448, 535);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(449, 513);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(450, 561);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(451, 531);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(452, 519);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(453, 501);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(454, 511);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(455, 501);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(456, 495);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(457, 427);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(458, 461);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(459, 455);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(460, 471);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(461, 449);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(462, 413);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(463, 416);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(464, 432);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(465, 438);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(466, 419);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(467, 420);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(468, 404);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(469, 357);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(470, 376);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(471, 369);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(472, 337);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(473, 339);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(474, 345);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(475, 338);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(476, 358);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(477, 354);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(478, 313);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(479, 336);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(480, 291);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(481, 306);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(482, 315);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(483, 290);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(484, 269);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(485, 291);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(486, 292);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(487, 256);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(488, 259);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(489, 247);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(490, 260);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(491, 261);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(492, 222);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(493, 223);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(494, 193);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(495, 225);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(496, 216);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(497, 231);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(498, 207);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(499, 188);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(500, 182);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(501, 184);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(502, 198);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(503, 178);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(504, 188);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(505, 159);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(506, 177);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(507, 155);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(508, 137);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(509, 160);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(510, 152);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(511, 138);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(512, 131);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(513, 118);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(514, 121);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(515, 127);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(516, 112);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(517, 112);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(518, 100);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(519, 94);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(520, 119);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(521, 97);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(522, 93);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(523, 74);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(524, 99);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(525, 102);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(526, 72);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(527, 66);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(528, 67);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(529, 67);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(530, 66);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(531, 68);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(532, 60);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(533, 57);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(534, 52);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(535, 45);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(536, 33);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(537, 36);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(538, 38);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(539, 41);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(540, 43);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(541, 41);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(542, 31);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(543, 18);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(544, 29);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(545, 28);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(546, 23);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(547, 23);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(548, 11);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(549, 8);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(550, 12);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(551, 5);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(552, 7);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(553, 8);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(554, 3);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(555, 2);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(556, 5);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(557, 5);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(558, 5);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(559, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(560, 2);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(561, 2);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(562, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(563, 3);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(599, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetBinContent(601, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetEntries(1.967911e+08);
  TofTests_MultiPntHitClosestDeltaY_px__1->SetDirectory(0);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px__1->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px->Add(TofTests_MultiPntHitClosestDeltaY_px, "");

  TH1D* TofTests_MultiPntHitClosestDeltaY_px_v1__2 =
    new TH1D("TofTests_MultiPntHitClosestDeltaY_px_v1__2",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Point, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(0, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(40, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(42, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(43, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(44, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(45, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(46, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(47, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(48, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(49, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(50, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(51, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(52, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(53, 15);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(54, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(55, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(56, 21);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(57, 23);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(58, 25);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(59, 25);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(60, 26);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(61, 28);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(62, 37);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(63, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(64, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(65, 46);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(66, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(67, 49);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(68, 45);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(69, 40);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(70, 46);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(71, 54);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(72, 60);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(73, 61);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(74, 56);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(75, 64);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(76, 69);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(77, 83);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(78, 82);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(79, 74);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(80, 85);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(81, 76);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(82, 93);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(83, 102);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(84, 125);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(85, 119);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(86, 104);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(87, 105);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(88, 102);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(89, 126);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(90, 119);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(91, 124);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(92, 128);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(93, 130);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(94, 144);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(95, 143);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(96, 140);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(97, 167);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(98, 166);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(99, 155);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(100, 196);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(101, 170);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(102, 162);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(103, 166);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(104, 176);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(105, 198);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(106, 161);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(107, 211);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(108, 215);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(109, 195);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(110, 211);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(111, 253);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(112, 228);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(113, 214);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(114, 225);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(115, 213);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(116, 227);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(117, 220);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(118, 261);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(119, 249);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(120, 292);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(121, 284);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(122, 298);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(123, 260);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(124, 293);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(125, 287);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(126, 271);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(127, 296);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(128, 290);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(129, 302);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(130, 296);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(131, 338);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(132, 337);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(133, 335);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(134, 327);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(135, 377);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(136, 342);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(137, 329);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(138, 364);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(139, 389);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(140, 389);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(141, 364);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(142, 404);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(143, 367);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(144, 425);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(145, 383);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(146, 413);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(147, 406);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(148, 396);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(149, 421);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(150, 452);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(151, 461);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(152, 434);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(153, 437);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(154, 432);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(155, 457);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(156, 506);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(157, 496);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(158, 490);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(159, 484);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(160, 531);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(161, 490);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(162, 524);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(163, 516);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(164, 486);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(165, 513);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(166, 483);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(167, 594);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(168, 535);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(169, 576);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(170, 609);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(171, 633);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(172, 589);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(173, 662);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(174, 710);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(175, 709);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(176, 788);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(177, 740);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(178, 814);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(179, 832);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(180, 926);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(181, 875);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(182, 970);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(183, 1004);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(184, 1049);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(185, 1051);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(186, 1188);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(187, 1183);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(188, 1258);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(189, 1305);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(190, 1319);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(191, 1381);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(192, 1434);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(193, 1514);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(194, 1568);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(195, 1583);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(196, 1734);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(197, 1818);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(198, 1870);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(199, 1808);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(200, 1940);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(201, 2103);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(202, 2386);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(203, 2707);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(204, 3059);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(205, 3600);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(206, 4333);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(207, 5085);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(208, 5902);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(209, 6820);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(210, 7962);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(211, 8998);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(212, 10048);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(213, 11498);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(214, 12905);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(215, 14477);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(216, 15824);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(217, 17644);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(218, 19338);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(219, 21030);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(220, 22537);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(221, 24446);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(222, 26189);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(223, 28329);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(224, 30064);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(225, 32292);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(226, 34547);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(227, 36221);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(228, 38237);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(229, 40686);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(230, 43046);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(231, 45111);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(232, 47213);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(233, 49210);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(234, 51778);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(235, 54462);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(236, 56378);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(237, 58637);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(238, 60796);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(239, 63730);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(240, 65905);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(241, 68970);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(242, 71172);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(243, 73891);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(244, 76275);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(245, 78377);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(246, 81427);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(247, 84514);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(248, 86452);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(249, 89187);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(250, 91800);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(251, 94246);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(252, 97879);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(253, 101120);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(254, 105219);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(255, 109701);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(256, 114984);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(257, 118938);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(258, 125592);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(259, 129848);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(260, 135931);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(261, 141994);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(262, 148820);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(263, 155327);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(264, 162061);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(265, 168262);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(266, 174291);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(267, 180017);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(268, 186568);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(269, 192237);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(270, 197084);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(271, 199864);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(272, 203870);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(273, 206234);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(274, 207585);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(275, 209127);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(276, 211330);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(277, 213432);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(278, 217043);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(279, 221660);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(280, 230069);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(281, 240927);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(282, 255491);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(283, 274025);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(284, 300796);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(285, 334494);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(286, 378520);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(287, 439992);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(288, 524965);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(289, 648266);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(290, 833086);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(291, 1129015);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(292, 1598911);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(293, 2363900);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(294, 3576415);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(295, 5426904);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(296, 8065398);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(297, 1.130913e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(298, 1.466233e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(299, 1.752878e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(300, 1.92484e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(301, 1.922318e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(302, 1.748499e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(303, 1.459881e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(304, 1.122975e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(305, 7998253);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(306, 5373044);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(307, 3544348);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(308, 2348186);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(309, 1592115);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(310, 1122388);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(311, 831763);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(312, 646949);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(313, 524172);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(314, 438991);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(315, 377736);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(316, 333097);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(317, 299622);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(318, 274619);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(319, 255092);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(320, 239880);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(321, 229951);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(322, 221182);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(323, 216069);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(324, 213136);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(325, 210465);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(326, 208627);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(327, 207496);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(328, 205201);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(329, 202879);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(330, 199659);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(331, 195495);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(332, 191609);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(333, 185507);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(334, 180080);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(335, 173855);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(336, 166896);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(337, 160920);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(338, 153542);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(339, 147847);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(340, 142127);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(341, 135083);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(342, 128799);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(343, 124645);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(344, 119495);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(345, 113381);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(346, 108891);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(347, 105117);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(348, 100984);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(349, 97431);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(350, 94101);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(351, 91395);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(352, 88188);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(353, 86585);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(354, 83062);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(355, 80841);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(356, 78284);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(357, 76022);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(358, 73341);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(359, 70765);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(360, 68227);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(361, 65714);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(362, 63069);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(363, 60566);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(364, 58479);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(365, 56186);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(366, 53568);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(367, 51426);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(368, 49652);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(369, 46876);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(370, 44720);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(371, 42446);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(372, 40301);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(373, 38172);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(374, 36204);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(375, 33845);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(376, 32050);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(377, 30243);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(378, 28170);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(379, 26239);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(380, 24115);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(381, 22419);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(382, 20803);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(383, 19263);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(384, 17266);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(385, 16199);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(386, 14400);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(387, 13052);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(388, 11651);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(389, 10457);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(390, 9001);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(391, 7919);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(392, 6957);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(393, 5896);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(394, 5064);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(395, 4289);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(396, 3621);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(397, 3063);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(398, 2678);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(399, 2321);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(400, 2070);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(401, 1966);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(402, 1882);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(403, 1782);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(404, 1729);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(405, 1732);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(406, 1645);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(407, 1601);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(408, 1517);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(409, 1382);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(410, 1456);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(411, 1327);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(412, 1282);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(413, 1213);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(414, 1175);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(415, 1108);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(416, 1042);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(417, 1064);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(418, 938);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(419, 944);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(420, 911);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(421, 874);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(422, 916);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(423, 838);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(424, 753);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(425, 764);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(426, 726);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(427, 682);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(428, 625);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(429, 609);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(430, 597);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(431, 615);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(432, 587);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(433, 547);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(434, 530);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(435, 546);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(436, 479);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(437, 509);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(438, 520);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(439, 496);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(440, 555);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(441, 506);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(442, 483);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(443, 469);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(444, 451);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(445, 485);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(446, 468);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(447, 457);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(448, 448);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(449, 453);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(450, 422);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(451, 445);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(452, 379);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(453, 412);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(454, 402);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(455, 424);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(456, 381);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(457, 367);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(458, 394);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(459, 390);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(460, 362);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(461, 364);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(462, 383);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(463, 345);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(464, 365);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(465, 345);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(466, 369);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(467, 341);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(468, 299);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(469, 360);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(470, 299);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(471, 306);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(472, 272);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(473, 341);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(474, 294);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(475, 300);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(476, 291);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(477, 256);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(478, 310);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(479, 258);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(480, 267);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(481, 257);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(482, 243);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(483, 253);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(484, 269);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(485, 260);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(486, 258);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(487, 245);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(488, 222);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(489, 242);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(490, 223);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(491, 204);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(492, 183);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(493, 200);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(494, 179);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(495, 171);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(496, 152);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(497, 184);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(498, 175);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(499, 165);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(500, 165);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(501, 144);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(502, 157);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(503, 169);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(504, 162);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(505, 175);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(506, 140);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(507, 141);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(508, 130);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(509, 122);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(510, 153);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(511, 127);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(512, 128);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(513, 110);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(514, 100);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(515, 101);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(516, 79);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(517, 119);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(518, 101);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(519, 83);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(520, 106);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(521, 75);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(522, 85);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(523, 71);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(524, 78);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(525, 64);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(526, 75);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(527, 67);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(528, 61);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(529, 57);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(530, 52);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(531, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(532, 53);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(533, 42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(534, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(535, 31);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(536, 29);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(537, 35);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(538, 44);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(539, 31);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(540, 35);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(541, 23);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(542, 27);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(543, 26);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(544, 14);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(545, 20);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(546, 21);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(547, 16);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(548, 19);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(549, 19);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(550, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(551, 12);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(552, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(553, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(554, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(555, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(556, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(557, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(558, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(559, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(560, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(561, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(563, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(564, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetBinContent(601, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetEntries(1.916697e+08);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetDirectory(0);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->SetLineColor(2);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v1__2->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px->Add(TofTests_MultiPntHitClosestDeltaY_px_v1, "");

  TH1D* TofTests_MultiPntHitClosestDeltaY_px_v2__3 =
    new TH1D("TofTests_MultiPntHitClosestDeltaY_px_v2__3",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Point, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(37, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(38, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(40, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(41, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(42, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(43, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(44, 5);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(45, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(46, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(47, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(48, 7);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(49, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(50, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(51, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(52, 16);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(53, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(54, 18);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(55, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(56, 23);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(57, 15);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(58, 12);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(59, 16);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(60, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(61, 25);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(62, 24);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(63, 27);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(64, 28);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(65, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(66, 37);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(67, 40);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(68, 42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(69, 50);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(70, 41);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(71, 61);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(72, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(73, 46);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(74, 50);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(75, 54);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(76, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(77, 45);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(78, 75);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(79, 86);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(80, 71);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(81, 92);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(82, 81);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(83, 76);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(84, 93);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(85, 70);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(86, 84);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(87, 89);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(88, 96);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(89, 112);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(90, 112);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(91, 107);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(92, 110);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(93, 118);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(94, 101);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(95, 103);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(96, 130);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(97, 129);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(98, 136);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(99, 143);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(100, 146);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(101, 145);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(102, 153);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(103, 169);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(104, 167);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(105, 165);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(106, 175);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(107, 159);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(108, 190);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(109, 199);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(110, 200);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(111, 174);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(112, 169);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(113, 214);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(114, 207);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(115, 184);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(116, 237);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(117, 191);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(118, 233);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(119, 240);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(120, 220);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(121, 245);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(122, 248);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(123, 259);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(124, 256);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(125, 268);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(126, 231);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(127, 265);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(128, 279);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(129, 279);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(130, 278);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(131, 290);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(132, 302);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(133, 292);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(134, 335);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(135, 286);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(136, 306);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(137, 317);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(138, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(139, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(140, 339);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(141, 339);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(142, 356);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(143, 385);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(144, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(145, 355);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(146, 374);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(147, 378);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(148, 424);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(149, 386);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(150, 400);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(151, 421);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(152, 401);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(153, 426);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(154, 468);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(155, 420);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(156, 447);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(157, 439);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(158, 468);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(159, 476);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(160, 452);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(161, 429);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(162, 471);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(163, 479);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(164, 496);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(165, 519);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(166, 500);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(167, 556);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(168, 551);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(169, 596);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(170, 714);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(171, 853);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(172, 915);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(173, 1076);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(174, 1218);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(175, 1385);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(176, 1591);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(177, 1764);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(178, 2011);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(179, 2210);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(180, 2529);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(181, 2733);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(182, 2996);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(183, 3295);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(184, 3506);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(185, 3843);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(186, 4149);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(187, 4525);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(188, 4730);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(189, 5158);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(190, 5442);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(191, 5821);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(192, 6301);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(193, 6617);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(194, 6956);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(195, 7254);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(196, 7826);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(197, 8127);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(198, 8476);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(199, 8947);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(200, 9197);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(201, 9908);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(202, 10189);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(203, 10697);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(204, 11064);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(205, 11557);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(206, 12019);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(207, 12681);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(208, 13440);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(209, 13697);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(210, 14444);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(211, 14848);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(212, 15378);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(213, 15947);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(214, 16743);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(215, 17047);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(216, 17859);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(217, 18557);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(218, 19084);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(219, 19860);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(220, 20635);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(221, 21248);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(222, 21802);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(223, 22419);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(224, 23209);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(225, 23908);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(226, 24852);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(227, 25531);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(228, 26167);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(229, 26881);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(230, 27462);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(231, 28119);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(232, 29352);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(233, 29789);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(234, 30695);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(235, 31261);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(236, 32123);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(237, 32972);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(238, 33822);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(239, 34869);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(240, 35575);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(241, 36649);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(242, 37295);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(243, 38007);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(244, 39296);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(245, 39318);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(246, 40715);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(247, 41949);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(248, 42801);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(249, 43284);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(250, 44490);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(251, 45367);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(252, 46564);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(253, 47863);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(254, 49420);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(255, 50629);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(256, 52198);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(257, 53709);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(258, 55937);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(259, 57325);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(260, 59832);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(261, 61498);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(262, 63835);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(263, 66090);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(264, 68141);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(265, 70792);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(266, 72868);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(267, 75525);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(268, 77260);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(269, 79446);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(270, 81272);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(271, 82814);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(272, 83580);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(273, 84525);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(274, 85301);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(275, 85810);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(276, 85781);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(277, 87520);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(278, 89010);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(279, 90605);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(280, 93735);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(281, 98015);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(282, 104372);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(283, 113192);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(284, 123994);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(285, 140365);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(286, 161861);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(287, 194234);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(288, 239639);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(289, 310553);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(290, 421992);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(291, 601016);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(292, 894531);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(293, 1370607);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(294, 2112763);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(295, 3217929);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(296, 4767718);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(297, 6687105);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(298, 8697493);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(299, 1.042817e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(300, 1.148088e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(301, 1.146995e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(302, 1.042638e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(303, 8690054);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(304, 6684632);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(305, 4771890);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(306, 3218283);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(307, 2112815);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(308, 1369742);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(309, 896289);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(310, 600782);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(311, 421960);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(312, 309588);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(313, 239808);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(314, 192674);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(315, 162038);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(316, 140399);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(317, 124427);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(318, 113080);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(319, 104500);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(320, 99017);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(321, 93780);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(322, 91426);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(323, 88435);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(324, 87094);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(325, 86130);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(326, 86016);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(327, 85525);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(328, 84467);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(329, 83530);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(330, 82710);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(331, 80825);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(332, 79192);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(333, 77451);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(334, 75222);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(335, 73724);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(336, 70836);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(337, 68144);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(338, 66258);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(339, 63895);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(340, 61965);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(341, 59721);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(342, 57531);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(343, 55747);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(344, 53560);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(345, 51911);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(346, 50020);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(347, 49191);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(348, 47892);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(349, 46444);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(350, 45606);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(351, 44422);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(352, 43501);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(353, 42636);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(354, 41729);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(355, 40732);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(356, 40062);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(357, 38793);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(358, 38142);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(359, 37323);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(360, 36564);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(361, 35501);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(362, 34710);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(363, 33674);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(364, 32990);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(365, 32523);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(366, 31373);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(367, 30452);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(368, 29726);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(369, 29025);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(370, 28499);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(371, 27847);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(372, 26892);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(373, 26079);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(374, 25399);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(375, 24418);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(376, 23990);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(377, 23232);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(378, 22458);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(379, 22004);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(380, 21050);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(381, 20617);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(382, 19841);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(383, 19306);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(384, 18562);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(385, 17613);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(386, 17193);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(387, 16651);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(388, 16094);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(389, 15495);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(390, 14692);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(391, 13971);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(392, 13609);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(393, 13098);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(394, 12631);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(395, 12126);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(396, 11595);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(397, 11008);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(398, 10681);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(399, 10317);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(400, 9902);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(401, 9481);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(402, 8901);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(403, 8466);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(404, 8164);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(405, 7747);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(406, 7553);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(407, 6983);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(408, 6501);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(409, 6197);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(410, 5859);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(411, 5436);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(412, 5140);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(413, 4787);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(414, 4575);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(415, 4168);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(416, 3854);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(417, 3501);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(418, 3171);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(419, 3050);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(420, 2819);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(421, 2482);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(422, 2235);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(423, 1971);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(424, 1763);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(425, 1605);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(426, 1440);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(427, 1260);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(428, 1024);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(429, 929);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(430, 807);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(431, 752);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(432, 677);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(433, 577);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(434, 490);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(435, 513);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(436, 523);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(437, 522);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(438, 473);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(439, 501);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(440, 486);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(441, 471);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(442, 430);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(443, 467);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(444, 464);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(445, 435);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(446, 420);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(447, 438);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(448, 417);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(449, 387);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(450, 418);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(451, 368);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(452, 436);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(453, 387);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(454, 373);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(455, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(456, 376);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(457, 345);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(458, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(459, 351);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(460, 343);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(461, 363);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(462, 345);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(463, 333);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(464, 323);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(465, 344);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(466, 290);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(467, 277);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(468, 296);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(469, 287);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(470, 313);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(471, 283);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(472, 290);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(473, 294);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(474, 263);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(475, 292);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(476, 247);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(477, 239);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(478, 231);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(479, 266);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(480, 224);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(481, 209);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(482, 204);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(483, 235);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(484, 222);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(485, 240);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(486, 183);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(487, 203);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(488, 194);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(489, 200);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(490, 189);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(491, 178);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(492, 200);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(493, 187);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(494, 181);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(495, 168);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(496, 162);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(497, 139);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(498, 154);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(499, 174);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(500, 144);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(501, 151);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(502, 154);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(503, 148);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(504, 138);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(505, 130);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(506, 130);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(507, 102);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(508, 114);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(509, 121);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(510, 103);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(511, 103);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(512, 94);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(513, 98);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(514, 100);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(515, 87);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(516, 95);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(517, 84);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(518, 88);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(519, 65);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(520, 85);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(521, 54);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(522, 64);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(523, 71);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(524, 56);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(525, 49);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(526, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(527, 58);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(528, 54);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(529, 42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(530, 37);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(531, 38);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(532, 42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(533, 52);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(534, 44);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(535, 43);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(536, 28);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(537, 27);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(538, 25);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(539, 15);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(540, 19);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(541, 24);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(542, 24);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(543, 20);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(544, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(545, 11);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(546, 18);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(547, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(548, 16);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(549, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(550, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(551, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(552, 10);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(553, 5);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(554, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(555, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(556, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(558, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetBinContent(562, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetEntries(1.113615e+08);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetDirectory(0);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->SetLineColor(3);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v2__3->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px->Add(TofTests_MultiPntHitClosestDeltaY_px_v2, "");

  TH1D* TofTests_MultiPntHitClosestDeltaY_px_v3__4 =
    new TH1D("TofTests_MultiPntHitClosestDeltaY_px_v3__4",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Point, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(28, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(40, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(42, 5);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(43, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(44, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(45, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(46, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(47, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(48, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(49, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(50, 12);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(51, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(52, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(53, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(54, 14);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(55, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(56, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(57, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(58, 11);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(59, 13);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(60, 22);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(61, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(62, 17);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(63, 29);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(64, 18);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(65, 22);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(66, 33);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(67, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(68, 31);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(69, 30);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(70, 29);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(71, 46);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(72, 31);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(73, 41);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(74, 36);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(75, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(76, 52);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(77, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(78, 44);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(79, 49);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(80, 45);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(81, 53);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(82, 60);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(83, 70);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(84, 55);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(85, 70);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(86, 81);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(87, 72);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(88, 78);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(89, 84);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(90, 95);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(91, 81);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(92, 74);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(93, 80);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(94, 99);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(95, 95);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(96, 83);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(97, 99);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(98, 107);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(99, 107);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(100, 106);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(101, 114);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(102, 108);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(103, 123);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(104, 121);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(105, 113);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(106, 134);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(107, 126);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(108, 110);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(109, 151);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(110, 142);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(111, 149);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(112, 146);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(113, 155);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(114, 150);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(115, 152);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(116, 178);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(117, 159);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(118, 182);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(119, 173);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(120, 196);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(121, 176);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(122, 181);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(123, 180);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(124, 181);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(125, 177);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(126, 218);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(127, 207);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(128, 199);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(129, 233);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(130, 243);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(131, 216);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(132, 217);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(133, 231);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(134, 226);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(135, 223);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(136, 238);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(137, 237);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(138, 228);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(139, 244);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(140, 252);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(141, 249);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(142, 281);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(143, 274);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(144, 262);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(145, 301);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(146, 298);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(147, 280);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(148, 293);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(149, 307);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(150, 291);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(151, 327);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(152, 302);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(153, 330);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(154, 345);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(155, 315);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(156, 356);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(157, 337);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(158, 344);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(159, 327);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(160, 354);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(161, 321);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(162, 367);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(163, 359);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(164, 360);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(165, 379);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(166, 359);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(167, 420);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(168, 450);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(169, 431);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(170, 494);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(171, 589);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(172, 624);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(173, 777);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(174, 824);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(175, 925);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(176, 1023);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(177, 1167);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(178, 1336);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(179, 1441);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(180, 1654);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(181, 1844);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(182, 1991);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(183, 2183);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(184, 2389);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(185, 2470);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(186, 2771);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(187, 2953);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(188, 3055);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(189, 3309);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(190, 3534);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(191, 3855);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(192, 4162);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(193, 4534);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(194, 4688);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(195, 4832);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(196, 5189);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(197, 5393);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(198, 5721);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(199, 5830);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(200, 6013);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(201, 6490);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(202, 6736);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(203, 6956);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(204, 7304);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(205, 7652);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(206, 8040);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(207, 8307);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(208, 8675);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(209, 9039);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(210, 9373);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(211, 9601);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(212, 10031);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(213, 10503);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(214, 10746);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(215, 11141);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(216, 11736);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(217, 12121);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(218, 12319);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(219, 13034);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(220, 13470);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(221, 13729);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(222, 14238);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(223, 14997);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(224, 15105);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(225, 15726);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(226, 16154);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(227, 16493);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(228, 17281);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(229, 17454);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(230, 18112);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(231, 18841);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(232, 19061);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(233, 19765);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(234, 20223);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(235, 20593);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(236, 21347);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(237, 21803);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(238, 22320);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(239, 22897);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(240, 23166);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(241, 23845);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(242, 24457);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(243, 25059);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(244, 25648);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(245, 26196);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(246, 26486);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(247, 27461);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(248, 27931);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(249, 28644);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(250, 29285);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(251, 29889);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(252, 30498);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(253, 30963);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(254, 32388);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(255, 33149);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(256, 34102);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(257, 35570);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(258, 36814);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(259, 38064);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(260, 39771);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(261, 41259);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(262, 43017);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(263, 44200);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(264, 46002);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(265, 48084);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(266, 49023);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(267, 51214);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(268, 52639);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(269, 54012);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(270, 54992);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(271, 56046);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(272, 56896);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(273, 57763);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(274, 57866);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(275, 58447);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(276, 59714);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(277, 59799);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(278, 60845);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(279, 61785);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(280, 64440);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(281, 67509);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(282, 71614);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(283, 76961);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(284, 84649);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(285, 96039);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(286, 111579);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(287, 134665);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(288, 167158);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(289, 219388);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(290, 302606);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(291, 439891);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(292, 667280);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(293, 1038474);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(294, 1619070);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(295, 2487895);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(296, 3703213);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(297, 5215096);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(298, 6807462);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(299, 8187196);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(300, 9029531);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(301, 9032261);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(302, 8191469);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(303, 6808994);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(304, 5215170);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(305, 3704390);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(306, 2486596);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(307, 1621872);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(308, 1039863);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(309, 668523);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(310, 440552);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(311, 303941);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(312, 219391);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(313, 166950);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(314, 133615);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(315, 111312);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(316, 95540);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(317, 85009);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(318, 77159);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(319, 71545);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(320, 67400);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(321, 64258);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(322, 62333);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(323, 60366);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(324, 59896);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(325, 58950);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(326, 58772);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(327, 58132);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(328, 57603);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(329, 57213);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(330, 56231);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(331, 55378);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(332, 54279);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(333, 52946);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(334, 51108);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(335, 49653);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(336, 47521);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(337, 46330);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(338, 44337);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(339, 42530);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(340, 41339);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(341, 39826);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(342, 38307);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(343, 36737);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(344, 35715);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(345, 34432);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(346, 33182);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(347, 31843);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(348, 31487);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(349, 30493);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(350, 29555);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(351, 28985);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(352, 28251);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(353, 27913);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(354, 27083);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(355, 26379);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(356, 26149);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(357, 25814);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(358, 24689);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(359, 24507);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(360, 23783);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(361, 23406);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(362, 22647);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(363, 22217);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(364, 21505);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(365, 21224);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(366, 20817);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(367, 20296);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(368, 19535);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(369, 19099);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(370, 18492);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(371, 17969);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(372, 17393);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(373, 17443);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(374, 16926);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(375, 16259);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(376, 15728);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(377, 15181);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(378, 15021);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(379, 14318);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(380, 13832);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(381, 13304);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(382, 13114);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(383, 12604);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(384, 12196);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(385, 11671);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(386, 11459);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(387, 10921);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(388, 10478);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(389, 10145);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(390, 9753);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(391, 9381);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(392, 8985);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(393, 8804);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(394, 8429);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(395, 7884);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(396, 7713);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(397, 7331);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(398, 7017);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(399, 6688);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(400, 6521);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(401, 6264);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(402, 5940);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(403, 5581);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(404, 5455);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(405, 5142);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(406, 4860);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(407, 4579);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(408, 4306);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(409, 4205);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(410, 3894);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(411, 3603);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(412, 3368);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(413, 3207);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(414, 2916);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(415, 2737);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(416, 2554);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(417, 2380);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(418, 2152);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(419, 1994);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(420, 1799);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(421, 1720);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(422, 1485);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(423, 1305);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(424, 1204);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(425, 979);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(426, 901);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(427, 841);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(428, 730);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(429, 673);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(430, 599);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(431, 521);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(432, 483);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(433, 408);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(434, 365);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(435, 388);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(436, 364);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(437, 359);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(438, 333);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(439, 329);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(440, 347);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(441, 346);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(442, 337);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(443, 347);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(444, 311);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(445, 301);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(446, 318);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(447, 323);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(448, 335);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(449, 302);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(450, 314);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(451, 293);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(452, 309);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(453, 318);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(454, 299);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(455, 258);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(456, 284);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(457, 300);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(458, 320);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(459, 271);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(460, 268);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(461, 213);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(462, 260);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(463, 273);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(464, 272);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(465, 239);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(466, 243);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(467, 245);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(468, 226);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(469, 259);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(470, 242);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(471, 210);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(472, 224);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(473, 236);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(474, 215);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(475, 226);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(476, 198);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(477, 205);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(478, 184);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(479, 171);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(480, 171);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(481, 162);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(482, 162);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(483, 175);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(484, 184);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(485, 165);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(486, 155);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(487, 177);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(488, 136);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(489, 139);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(490, 143);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(491, 142);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(492, 165);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(493, 140);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(494, 111);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(495, 145);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(496, 112);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(497, 117);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(498, 140);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(499, 103);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(500, 114);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(501, 125);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(502, 117);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(503, 94);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(504, 109);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(505, 97);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(506, 97);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(507, 102);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(508, 107);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(509, 92);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(510, 92);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(511, 100);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(512, 82);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(513, 78);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(514, 70);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(515, 76);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(516, 56);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(517, 72);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(518, 78);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(519, 68);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(520, 56);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(521, 65);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(522, 44);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(523, 50);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(524, 40);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(525, 51);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(526, 48);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(527, 37);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(528, 39);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(529, 35);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(530, 47);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(531, 31);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(532, 36);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(533, 28);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(534, 25);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(535, 33);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(536, 33);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(537, 19);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(538, 20);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(539, 22);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(540, 21);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(541, 15);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(542, 14);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(543, 16);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(544, 14);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(545, 10);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(546, 10);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(547, 14);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(548, 10);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(549, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(550, 9);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(551, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(552, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(553, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(554, 6);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(555, 4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(556, 8);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(557, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(558, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(559, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(560, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(561, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(562, 2);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetBinContent(601, 3);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetEntries(8.577804e+07);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetDirectory(0);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->SetLineColor(4);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitClosestDeltaY_px_v3__4->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitClosestDeltaY_px->Add(TofTests_MultiPntHitClosestDeltaY_px_v3, "");
  TofTests_MultiPntHitClosestDeltaY_px->Draw("nostack, hist");

  TPaveText* pt = new TPaveText(0.15, 0.9327359, 0.85, 0.995, "blNDC");
  pt->SetName("title");
  pt->SetBorderSize(0);
  pt->SetFillColor(0);
  pt->SetFillStyle(0);
  pt->SetTextFont(42);
  TText* text = pt->AddText("Quality of the Tof Hits position on Y axis relative to "
                            "closest Point, for hit coming from multiple MC Point");
  pt->Draw();

  TLegend* leg = new TLegend(0.5539936, 0.777381, 0.9035144, 0.9178571, NULL, "brNDC");
  leg->SetBorderSize(2);
  leg->SetLineColor(1);
  leg->SetLineStyle(1);
  leg->SetLineWidth(1);
  leg->SetFillColor(0);
  leg->SetFillStyle(1001);
  TLegendEntry* entry =
    leg->AddEntry("TofTests_MultiPntHitClosestDeltaY_px", "TofTests_MultiPntHitClosestDeltaY_px", "l");
  entry->SetLineColor(1);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitClosestDeltaY_px_v1", "TofTests_MultiPntHitClosestDeltaY_px_v1", "l");
  entry->SetLineColor(2);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitClosestDeltaY_px_v2", "TofTests_MultiPntHitClosestDeltaY_px_v2", "l");
  entry->SetLineColor(3);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitClosestDeltaY_px_v3", "TofTests_MultiPntHitClosestDeltaY_px_v3", "l");
  entry->SetLineColor(4);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  leg->Draw();
  Panel1->Modified();
  Panel1->cd();
  Panel1->SetSelected(Panel1);
}
