/** @file MultiPntDeltaYMean.C
  * @copyright Copyright (C) 2016 Facility for Antiproton and Ion Research in Europe, Darmstadt
  * @license SPDX-License-Identifier: GPL-3.0-only
  * @authors Pierre-Alain Loizeau [orginator] **/

{
  //=========Macro generated from canvas: Panel2/
  //=========  (Tue Sep 29 13:54:31 2015) by ROOT version5.34/32
  TCanvas* Panel2 = new TCanvas("Panel2", "", -1, 1, 1569, 844);
  Panel2->SetHighLightColor(2);
  Panel2->Range(-37.5, -1.766644, 37.5, 8.745568);
  Panel2->SetFillColor(0);
  Panel2->SetBorderMode(0);
  Panel2->SetBorderSize(2);
  Panel2->SetLogy();
  Panel2->SetFrameFillColor(10);
  Panel2->SetFrameBorderMode(0);
  Panel2->SetFrameFillColor(10);
  Panel2->SetFrameBorderMode(0);

  THStack* TofTests_MultiPntHitMeanDeltaY_px = new THStack();
  TofTests_MultiPntHitMeanDeltaY_px->SetName("TofTests_MultiPntHitMeanDeltaY_px");
  TofTests_MultiPntHitMeanDeltaY_px->SetTitle("Quality of the Tof Hits position on Y axis relative to mean Point "
                                              "position, for hit coming from multiple MC Point");

  TH1F* TofTests_MultiPntHitMeanDeltaY_px_stack_2 =
    new TH1F("TofTests_MultiPntHitMeanDeltaY_px_stack_2",
             "Quality of the Tof Hits position on Y axis relative to mean "
             "Point position, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->SetMinimum(0.192565);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->SetMaximum(4.94705e+07);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->SetDirectory(0);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->SetStats(0);

  Int_t ci;       // for color index setting
  TColor* color;  // for color definition with alpha
  ci = TColor::GetColor("#000099");
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->SetLineColor(ci);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetZaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_stack_2->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px->SetHistogram(TofTests_MultiPntHitMeanDeltaY_px_stack_2);


  TH1D* TofTests_MultiPntHitMeanDeltaY_px__5 = new TH1D("TofTests_MultiPntHitMeanDeltaY_px__5",
                                                        "Quality of the Tof Hits position on Y axis relative to mean "
                                                        "Point position, for hit coming from multiple MC Point",
                                                        600, -30, 30);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(0, 8);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(3, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(5, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(6, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(8, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(11, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(17, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(18, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(19, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(27, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(33, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(34, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(36, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(38, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(39, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(40, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(41, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(44, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(45, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(46, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(47, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(48, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(49, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(50, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(52, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(53, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(54, 8);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(55, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(56, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(57, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(58, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(59, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(60, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(61, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(62, 7);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(63, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(64, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(65, 7);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(66, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(67, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(68, 8);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(69, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(70, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(71, 7);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(72, 11);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(73, 7);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(74, 9);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(75, 14);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(76, 8);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(77, 12);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(78, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(79, 9);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(80, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(81, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(82, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(83, 13);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(84, 14);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(85, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(86, 17);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(87, 11);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(88, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(89, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(90, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(91, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(92, 19);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(93, 19);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(94, 18);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(95, 27);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(96, 24);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(97, 18);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(98, 29);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(99, 25);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(100, 33);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(101, 27);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(102, 30);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(103, 27);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(104, 29);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(105, 37);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(106, 36);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(107, 32);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(108, 35);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(109, 37);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(110, 23);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(111, 39);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(112, 36);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(113, 41);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(114, 30);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(115, 38);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(116, 49);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(117, 46);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(118, 53);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(119, 49);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(120, 48);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(121, 53);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(122, 43);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(123, 58);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(124, 55);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(125, 61);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(126, 61);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(127, 65);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(128, 66);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(129, 56);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(130, 42);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(131, 70);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(132, 73);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(133, 73);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(134, 68);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(135, 69);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(136, 82);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(137, 90);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(138, 81);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(139, 80);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(140, 89);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(141, 100);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(142, 92);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(143, 97);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(144, 100);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(145, 88);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(146, 109);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(147, 123);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(148, 107);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(149, 107);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(150, 146);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(151, 113);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(152, 134);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(153, 133);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(154, 121);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(155, 145);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(156, 169);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(157, 149);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(158, 144);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(159, 145);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(160, 156);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(161, 162);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(162, 174);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(163, 161);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(164, 165);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(165, 193);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(166, 182);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(167, 176);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(168, 217);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(169, 204);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(170, 202);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(171, 229);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(172, 247);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(173, 275);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(174, 260);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(175, 287);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(176, 287);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(177, 312);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(178, 352);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(179, 363);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(180, 349);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(181, 405);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(182, 394);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(183, 451);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(184, 443);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(185, 496);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(186, 550);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(187, 520);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(188, 559);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(189, 589);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(190, 654);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(191, 636);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(192, 734);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(193, 737);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(194, 736);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(195, 791);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(196, 829);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(197, 885);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(198, 952);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(199, 1000);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(200, 1035);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(201, 1094);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(202, 1185);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(203, 1309);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(204, 1444);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(205, 1557);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(206, 1639);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(207, 1793);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(208, 1923);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(209, 2097);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(210, 2253);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(211, 2437);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(212, 2689);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(213, 2992);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(214, 3235);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(215, 3379);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(216, 3675);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(217, 4037);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(218, 4319);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(219, 4723);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(220, 5119);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(221, 5439);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(222, 5717);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(223, 6228);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(224, 6727);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(225, 7233);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(226, 7713);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(227, 8176);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(228, 8702);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(229, 9400);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(230, 10016);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(231, 10600);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(232, 11304);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(233, 11929);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(234, 12847);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(235, 13586);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(236, 14329);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(237, 15298);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(238, 16626);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(239, 17462);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(240, 18348);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(241, 19595);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(242, 21055);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(243, 22364);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(244, 23528);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(245, 25221);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(246, 27006);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(247, 28545);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(248, 30433);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(249, 32283);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(250, 34224);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(251, 36213);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(252, 38443);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(253, 40963);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(254, 43638);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(255, 46253);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(256, 49641);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(257, 52227);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(258, 55666);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(259, 58784);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(260, 62664);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(261, 66880);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(262, 70461);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(263, 75399);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(264, 80375);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(265, 85092);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(266, 90810);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(267, 96554);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(268, 102460);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(269, 109800);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(270, 117240);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(271, 124082);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(272, 132739);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(273, 141598);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(274, 152394);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(275, 162363);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(276, 174319);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(277, 187042);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(278, 201071);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(279, 216380);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(280, 231298);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(281, 249998);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(282, 269972);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(283, 292145);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(284, 316789);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(285, 345866);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(286, 383102);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(287, 432923);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(288, 505083);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(289, 620578);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(290, 815460);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(291, 1152730);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(292, 1722042);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(293, 2651930);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(294, 4089985);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(295, 6161754);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(296, 8900879);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(297, 1.215432e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(298, 1.552912e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(299, 1.837881e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(300, 2.003261e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(301, 2.001656e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(302, 1.83169e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(303, 1.544252e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(304, 1.206387e+07);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(305, 8818690);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(306, 6090372);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(307, 4037892);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(308, 2616833);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(309, 1698329);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(310, 1139667);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(311, 808444);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(312, 615509);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(313, 502688);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(314, 430468);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(315, 382359);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(316, 346187);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(317, 317727);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(318, 291519);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(319, 270122);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(320, 249521);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(321, 232199);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(322, 215443);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(323, 200494);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(324, 186640);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(325, 173933);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(326, 162531);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(327, 152384);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(328, 141731);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(329, 132893);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(330, 124505);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(331, 116404);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(332, 109494);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(333, 103179);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(334, 97039);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(335, 91236);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(336, 85630);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(337, 80564);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(338, 75891);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(339, 71460);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(340, 66902);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(341, 62948);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(342, 59087);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(343, 55793);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(344, 52184);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(345, 49115);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(346, 46684);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(347, 43683);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(348, 40686);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(349, 38705);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(350, 36335);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(351, 34222);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(352, 32093);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(353, 30524);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(354, 28505);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(355, 27250);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(356, 25568);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(357, 23859);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(358, 22609);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(359, 21573);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(360, 20029);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(361, 18647);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(362, 17608);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(363, 16418);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(364, 15477);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(365, 14653);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(366, 13610);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(367, 12856);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(368, 12088);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(369, 11401);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(370, 10724);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(371, 9919);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(372, 9334);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(373, 8634);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(374, 8159);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(375, 7782);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(376, 7270);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(377, 6811);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(378, 6306);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(379, 5726);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(380, 5512);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(381, 5039);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(382, 4646);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(383, 4323);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(384, 4124);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(385, 3762);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(386, 3492);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(387, 3201);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(388, 2954);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(389, 2727);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(390, 2574);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(391, 2308);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(392, 2217);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(393, 2003);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(394, 1803);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(395, 1622);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(396, 1503);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(397, 1439);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(398, 1352);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(399, 1175);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(400, 1189);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(401, 1099);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(402, 1031);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(403, 933);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(404, 906);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(405, 845);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(406, 784);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(407, 769);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(408, 723);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(409, 679);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(410, 661);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(411, 649);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(412, 545);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(413, 616);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(414, 566);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(415, 495);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(416, 483);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(417, 459);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(418, 441);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(419, 389);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(420, 398);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(421, 368);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(422, 369);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(423, 357);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(424, 316);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(425, 313);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(426, 264);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(427, 272);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(428, 243);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(429, 236);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(430, 221);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(431, 196);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(432, 220);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(433, 200);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(434, 185);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(435, 170);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(436, 153);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(437, 209);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(438, 167);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(439, 164);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(440, 170);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(441, 163);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(442, 145);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(443, 135);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(444, 147);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(445, 155);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(446, 133);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(447, 134);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(448, 127);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(449, 126);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(450, 124);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(451, 113);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(452, 114);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(453, 126);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(454, 113);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(455, 111);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(456, 97);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(457, 108);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(458, 121);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(459, 101);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(460, 79);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(461, 84);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(462, 104);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(463, 75);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(464, 70);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(465, 73);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(466, 75);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(467, 73);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(468, 66);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(469, 73);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(470, 76);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(471, 58);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(472, 62);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(473, 72);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(474, 61);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(475, 61);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(476, 64);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(477, 55);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(478, 52);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(479, 44);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(480, 53);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(481, 45);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(482, 61);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(483, 46);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(484, 57);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(485, 53);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(486, 45);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(487, 36);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(488, 38);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(489, 26);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(490, 44);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(491, 26);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(492, 38);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(493, 31);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(494, 35);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(495, 37);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(496, 29);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(497, 31);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(498, 31);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(499, 21);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(500, 30);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(501, 22);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(502, 24);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(503, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(504, 24);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(505, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(506, 24);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(507, 20);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(508, 21);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(509, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(510, 13);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(511, 21);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(512, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(513, 21);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(514, 14);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(515, 14);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(516, 13);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(517, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(518, 16);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(519, 17);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(520, 9);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(521, 14);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(522, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(523, 12);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(524, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(525, 12);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(526, 15);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(527, 11);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(528, 17);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(529, 8);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(530, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(531, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(532, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(533, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(534, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(535, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(536, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(537, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(538, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(539, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(540, 6);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(541, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(542, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(543, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(544, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(545, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(546, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(547, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(549, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(550, 5);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(551, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(552, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(553, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(555, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(558, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(559, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(560, 4);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(561, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(562, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(564, 3);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(566, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(567, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(568, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(569, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(570, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(572, 2);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(575, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(578, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(580, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(584, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(589, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(590, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(594, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(595, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(596, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(598, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetBinContent(601, 10);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetEntries(1.967911e+08);
  TofTests_MultiPntHitMeanDeltaY_px__5->SetDirectory(0);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px__5->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px->Add(TofTests_MultiPntHitMeanDeltaY_px, "");

  TH1D* TofTests_MultiPntHitMeanDeltaY_px_v1__6 =
    new TH1D("TofTests_MultiPntHitMeanDeltaY_px_v1__6",
             "Quality of the Tof Hits position on Y axis relative to mean "
             "Point position, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(0, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(4, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(6, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(13, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(14, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(15, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(18, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(22, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(23, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(25, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(28, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(30, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(33, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(34, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(39, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(41, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(42, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(43, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(44, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(45, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(48, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(50, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(51, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(52, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(53, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(54, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(55, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(56, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(57, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(58, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(59, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(60, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(61, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(62, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(63, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(64, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(65, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(66, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(67, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(68, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(69, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(70, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(71, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(72, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(73, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(74, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(75, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(76, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(77, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(78, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(79, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(80, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(81, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(82, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(83, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(84, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(85, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(86, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(87, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(88, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(89, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(90, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(91, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(92, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(93, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(94, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(95, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(96, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(97, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(98, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(99, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(100, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(101, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(102, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(103, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(104, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(105, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(106, 29);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(107, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(108, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(109, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(110, 29);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(111, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(112, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(113, 31);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(114, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(115, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(116, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(117, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(118, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(119, 29);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(120, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(121, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(122, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(123, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(124, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(125, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(126, 48);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(127, 51);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(128, 48);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(129, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(130, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(131, 47);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(132, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(133, 62);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(134, 52);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(135, 59);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(136, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(137, 56);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(138, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(139, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(140, 75);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(141, 62);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(142, 67);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(143, 79);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(144, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(145, 92);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(146, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(147, 71);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(148, 79);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(149, 87);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(150, 82);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(151, 90);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(152, 105);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(153, 108);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(154, 110);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(155, 108);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(156, 93);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(157, 118);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(158, 127);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(159, 110);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(160, 117);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(161, 122);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(162, 142);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(163, 138);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(164, 114);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(165, 154);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(166, 147);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(167, 137);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(168, 157);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(169, 157);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(170, 168);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(171, 178);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(172, 175);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(173, 190);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(174, 205);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(175, 215);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(176, 207);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(177, 223);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(178, 234);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(179, 259);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(180, 277);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(181, 279);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(182, 339);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(183, 305);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(184, 311);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(185, 372);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(186, 362);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(187, 404);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(188, 372);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(189, 473);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(190, 482);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(191, 534);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(192, 571);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(193, 535);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(194, 598);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(195, 548);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(196, 624);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(197, 676);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(198, 664);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(199, 768);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(200, 811);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(201, 907);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(202, 918);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(203, 990);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(204, 1183);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(205, 1219);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(206, 1361);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(207, 1500);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(208, 1558);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(209, 1660);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(210, 1870);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(211, 2050);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(212, 2221);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(213, 2480);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(214, 2651);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(215, 3005);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(216, 3142);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(217, 3471);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(218, 3676);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(219, 4041);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(220, 4388);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(221, 4817);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(222, 5193);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(223, 5608);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(224, 5872);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(225, 6481);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(226, 6553);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(227, 7206);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(228, 7756);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(229, 8409);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(230, 8726);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(231, 9718);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(232, 10168);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(233, 10975);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(234, 11584);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(235, 12519);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(236, 13433);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(237, 14121);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(238, 15270);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(239, 16442);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(240, 17558);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(241, 18522);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(242, 19891);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(243, 21054);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(244, 22658);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(245, 23916);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(246, 25390);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(247, 27598);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(248, 28948);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(249, 30942);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(250, 33234);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(251, 35182);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(252, 37194);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(253, 39806);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(254, 43046);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(255, 45041);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(256, 48923);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(257, 51917);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(258, 55401);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(259, 59500);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(260, 63035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(261, 67961);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(262, 72901);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(263, 77856);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(264, 83258);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(265, 88308);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(266, 94676);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(267, 102081);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(268, 109116);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(269, 117215);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(270, 125432);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(271, 134383);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(272, 144784);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(273, 156443);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(274, 167426);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(275, 181299);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(276, 195986);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(277, 211256);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(278, 229717);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(279, 248263);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(280, 269928);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(281, 293531);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(282, 320533);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(283, 350446);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(284, 383668);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(285, 423368);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(286, 470362);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(287, 531274);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(288, 614029);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(289, 740121);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(290, 942270);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(291, 1275290);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(292, 1826096);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(293, 2714897);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(294, 4072717);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(295, 6010829);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(296, 8568510);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(297, 1.160782e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(298, 1.472955e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(299, 1.739165e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(300, 1.893861e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(301, 1.891234e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(302, 1.734006e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(303, 1.465907e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(304, 1.152144e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(305, 8493378);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(306, 5950224);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(307, 4021113);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(308, 2679921);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(309, 1810317);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(310, 1266051);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(311, 935221);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(312, 736631);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(313, 611561);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(314, 529072);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(315, 471028);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(316, 423202);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(317, 384169);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(318, 349775);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(319, 320238);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(320, 293238);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(321, 270780);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(322, 249368);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(323, 229501);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(324, 212176);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(325, 195639);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(326, 181258);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(327, 168293);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(328, 155869);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(329, 145298);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(330, 135356);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(331, 125918);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(332, 116710);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(333, 109229);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(334, 101954);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(335, 95473);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(336, 88820);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(337, 83293);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(338, 77991);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(339, 72856);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(340, 68398);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(341, 63934);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(342, 59448);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(343, 55988);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(344, 52413);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(345, 48831);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(346, 46418);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(347, 43212);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(348, 40362);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(349, 37787);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(350, 35853);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(351, 33264);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(352, 31150);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(353, 29336);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(354, 27592);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(355, 25658);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(356, 24512);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(357, 22729);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(358, 21328);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(359, 20151);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(360, 18691);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(361, 17491);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(362, 16208);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(363, 15526);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(364, 14388);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(365, 13430);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(366, 12525);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(367, 11679);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(368, 11269);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(369, 10510);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(370, 9890);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(371, 9077);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(372, 8556);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(373, 7902);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(374, 7429);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(375, 6993);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(376, 6526);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(377, 6019);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(378, 5583);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(379, 5312);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(380, 4878);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(381, 4361);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(382, 4098);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(383, 3826);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(384, 3375);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(385, 3316);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(386, 2881);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(387, 2834);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(388, 2480);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(389, 2379);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(390, 2048);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(391, 1932);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(392, 1806);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(393, 1614);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(394, 1469);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(395, 1362);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(396, 1242);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(397, 1068);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(398, 1039);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(399, 958);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(400, 861);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(401, 826);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(402, 713);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(403, 692);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(404, 695);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(405, 632);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(406, 617);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(407, 587);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(408, 562);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(409, 550);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(410, 504);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(411, 480);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(412, 450);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(413, 437);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(414, 418);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(415, 377);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(416, 374);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(417, 367);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(418, 312);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(419, 307);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(420, 292);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(421, 243);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(422, 259);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(423, 214);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(424, 234);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(425, 206);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(426, 204);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(427, 173);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(428, 199);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(429, 179);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(430, 161);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(431, 186);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(432, 177);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(433, 153);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(434, 133);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(435, 142);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(436, 137);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(437, 132);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(438, 129);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(439, 119);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(440, 123);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(441, 112);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(442, 122);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(443, 112);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(444, 118);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(445, 92);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(446, 95);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(447, 96);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(448, 96);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(449, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(450, 97);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(451, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(452, 66);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(453, 97);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(454, 62);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(455, 91);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(456, 90);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(457, 86);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(458, 78);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(459, 80);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(460, 70);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(461, 63);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(462, 66);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(463, 73);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(464, 75);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(465, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(466, 42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(467, 58);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(468, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(469, 51);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(470, 55);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(471, 47);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(472, 38);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(473, 54);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(474, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(475, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(476, 48);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(477, 43);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(478, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(479, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(480, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(481, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(482, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(483, 43);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(484, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(485, 38);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(486, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(487, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(488, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(489, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(490, 36);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(491, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(492, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(493, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(494, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(495, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(496, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(497, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(498, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(499, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(500, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(501, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(502, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(503, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(504, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(505, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(506, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(507, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(508, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(509, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(510, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(511, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(512, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(513, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(514, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(515, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(516, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(517, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(518, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(519, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(520, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(521, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(522, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(523, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(524, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(525, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(526, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(527, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(528, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(529, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(530, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(531, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(532, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(533, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(534, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(536, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(537, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(538, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(539, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(540, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(541, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(542, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(543, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(544, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(545, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(546, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(547, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(548, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(549, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(550, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(551, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(552, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(553, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(554, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(555, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(556, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(557, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(558, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(560, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(561, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(564, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(565, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(567, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(577, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(578, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(581, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(588, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(590, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(599, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetBinContent(601, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetEntries(1.916697e+08);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetDirectory(0);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->SetLineColor(2);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v1__6->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px->Add(TofTests_MultiPntHitMeanDeltaY_px_v1, "");

  TH1D* TofTests_MultiPntHitMeanDeltaY_px_v2__7 =
    new TH1D("TofTests_MultiPntHitMeanDeltaY_px_v2__7",
             "Quality of the Tof Hits position on Y axis relative to mean "
             "Point position, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(0, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(1, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(2, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(7, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(10, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(11, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(13, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(16, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(17, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(18, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(21, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(22, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(23, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(24, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(26, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(28, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(29, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(30, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(31, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(32, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(35, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(36, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(37, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(38, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(39, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(42, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(43, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(44, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(46, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(47, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(48, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(49, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(50, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(53, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(54, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(55, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(56, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(57, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(58, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(59, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(60, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(61, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(62, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(63, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(64, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(65, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(66, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(67, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(68, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(69, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(70, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(71, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(72, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(73, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(74, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(75, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(76, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(77, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(78, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(79, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(80, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(81, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(82, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(83, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(84, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(85, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(86, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(87, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(88, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(89, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(90, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(91, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(92, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(93, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(94, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(95, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(96, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(97, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(98, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(99, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(100, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(101, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(102, 22);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(103, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(104, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(105, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(106, 31);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(107, 38);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(108, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(109, 25);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(110, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(111, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(112, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(113, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(114, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(115, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(116, 41);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(117, 52);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(118, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(119, 38);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(120, 53);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(121, 42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(122, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(123, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(124, 46);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(125, 58);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(126, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(127, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(128, 71);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(129, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(130, 76);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(131, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(132, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(133, 81);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(134, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(135, 82);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(136, 85);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(137, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(138, 71);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(139, 81);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(140, 84);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(141, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(142, 85);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(143, 93);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(144, 97);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(145, 103);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(146, 111);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(147, 81);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(148, 101);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(149, 92);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(150, 76);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(151, 122);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(152, 91);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(153, 112);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(154, 118);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(155, 132);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(156, 116);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(157, 120);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(158, 126);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(159, 138);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(160, 160);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(161, 148);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(162, 131);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(163, 130);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(164, 167);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(165, 153);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(166, 167);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(167, 176);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(168, 184);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(169, 201);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(170, 201);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(171, 254);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(172, 234);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(173, 241);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(174, 283);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(175, 303);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(176, 301);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(177, 324);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(178, 395);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(179, 394);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(180, 424);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(181, 411);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(182, 479);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(183, 518);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(184, 564);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(185, 646);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(186, 639);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(187, 689);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(188, 686);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(189, 778);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(190, 810);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(191, 861);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(192, 909);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(193, 1018);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(194, 1065);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(195, 1102);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(196, 1155);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(197, 1272);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(198, 1334);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(199, 1334);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(200, 1497);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(201, 1570);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(202, 1624);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(203, 1716);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(204, 1810);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(205, 1966);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(206, 1976);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(207, 2212);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(208, 2329);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(209, 2399);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(210, 2486);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(211, 2677);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(212, 2916);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(213, 3011);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(214, 3109);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(215, 3291);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(216, 3404);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(217, 3693);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(218, 3889);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(219, 3924);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(220, 4215);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(221, 4604);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(222, 4672);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(223, 5006);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(224, 5091);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(225, 5356);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(226, 5706);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(227, 5955);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(228, 6250);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(229, 6540);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(230, 6989);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(231, 7248);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(232, 7605);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(233, 7890);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(234, 8322);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(235, 8661);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(236, 9135);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(237, 9385);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(238, 9989);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(239, 10399);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(240, 10921);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(241, 11530);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(242, 12102);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(243, 12649);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(244, 13250);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(245, 13775);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(246, 14437);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(247, 15142);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(248, 15642);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(249, 16528);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(250, 17294);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(251, 18074);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(252, 19081);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(253, 20181);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(254, 20912);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(255, 21878);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(256, 23017);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(257, 24368);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(258, 25244);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(259, 27149);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(260, 28580);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(261, 29754);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(262, 31458);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(263, 33387);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(264, 35427);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(265, 37380);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(266, 39984);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(267, 41856);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(268, 44125);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(269, 47393);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(270, 50598);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(271, 53587);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(272, 57797);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(273, 61819);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(274, 66115);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(275, 71047);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(276, 76752);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(277, 83197);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(278, 89934);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(279, 97958);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(280, 107245);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(281, 117810);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(282, 129265);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(283, 143107);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(284, 158848);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(285, 178467);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(286, 202373);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(287, 235519);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(288, 283883);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(289, 359221);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(290, 482030);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(291, 685342);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(292, 1022821);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(293, 1563054);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(294, 2383718);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(295, 3557429);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(296, 5090054);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(297, 6902863);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(298, 8775177);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(299, 1.036558e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(300, 1.128976e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(301, 1.128367e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(302, 1.035757e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(303, 8777370);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(304, 6904066);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(305, 5092261);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(306, 3557764);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(307, 2385463);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(308, 1564603);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(309, 1025914);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(310, 686080);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(311, 482196);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(312, 358845);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(313, 283128);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(314, 236179);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(315, 202529);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(316, 178058);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(317, 158664);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(318, 142991);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(319, 128886);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(320, 117818);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(321, 107283);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(322, 98445);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(323, 90626);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(324, 83212);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(325, 76707);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(326, 71028);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(327, 66535);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(328, 61369);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(329, 57495);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(330, 54049);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(331, 50177);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(332, 47436);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(333, 44556);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(334, 41773);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(335, 39523);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(336, 37510);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(337, 35482);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(338, 33295);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(339, 31479);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(340, 29996);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(341, 28533);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(342, 27648);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(343, 25699);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(344, 24408);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(345, 23501);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(346, 21912);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(347, 20793);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(348, 20053);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(349, 18965);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(350, 18257);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(351, 17167);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(352, 16392);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(353, 15802);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(354, 15005);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(355, 14620);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(356, 13948);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(357, 13324);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(358, 12696);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(359, 12003);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(360, 11266);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(361, 10889);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(362, 10389);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(363, 10004);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(364, 9354);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(365, 9049);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(366, 8693);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(367, 8278);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(368, 7842);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(369, 7800);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(370, 7208);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(371, 6823);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(372, 6580);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(373, 6323);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(374, 6067);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(375, 5658);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(376, 5342);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(377, 5101);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(378, 4810);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(379, 4613);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(380, 4404);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(381, 4303);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(382, 3933);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(383, 3794);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(384, 3557);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(385, 3437);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(386, 3308);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(387, 3085);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(388, 2970);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(389, 2695);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(390, 2710);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(391, 2574);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(392, 2389);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(393, 2250);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(394, 2158);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(395, 1953);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(396, 1940);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(397, 1795);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(398, 1724);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(399, 1600);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(400, 1610);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(401, 1525);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(402, 1420);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(403, 1374);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(404, 1234);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(405, 1164);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(406, 1116);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(407, 1093);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(408, 997);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(409, 899);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(410, 818);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(411, 856);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(412, 758);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(413, 712);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(414, 682);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(415, 629);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(416, 543);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(417, 493);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(418, 526);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(419, 488);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(420, 477);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(421, 421);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(422, 387);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(423, 353);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(424, 354);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(425, 307);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(426, 295);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(427, 286);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(428, 235);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(429, 238);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(430, 249);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(431, 231);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(432, 205);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(433, 216);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(434, 175);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(435, 161);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(436, 142);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(437, 144);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(438, 145);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(439, 149);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(440, 136);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(441, 145);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(442, 160);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(443, 148);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(444, 137);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(445, 136);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(446, 125);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(447, 122);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(448, 98);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(449, 106);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(450, 84);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(451, 99);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(452, 104);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(453, 112);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(454, 104);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(455, 106);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(456, 101);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(457, 84);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(458, 90);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(459, 76);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(460, 98);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(461, 82);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(462, 55);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(463, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(464, 96);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(465, 82);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(466, 68);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(467, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(468, 70);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(469, 67);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(470, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(471, 55);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(472, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(473, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(474, 53);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(475, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(476, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(477, 47);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(478, 55);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(479, 54);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(480, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(481, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(482, 40);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(483, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(484, 47);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(485, 40);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(486, 43);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(487, 41);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(488, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(489, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(490, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(491, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(492, 36);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(493, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(494, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(495, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(496, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(497, 23);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(498, 22);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(499, 36);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(500, 22);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(501, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(502, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(503, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(504, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(505, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(506, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(507, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(508, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(509, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(510, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(511, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(512, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(513, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(514, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(515, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(516, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(517, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(518, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(519, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(520, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(521, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(522, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(523, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(524, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(525, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(526, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(527, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(528, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(529, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(530, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(531, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(532, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(533, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(534, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(535, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(536, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(537, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(538, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(539, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(540, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(541, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(542, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(543, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(544, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(546, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(547, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(548, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(549, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(550, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(551, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(552, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(553, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(554, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(555, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(556, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(557, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(558, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(559, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(562, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(566, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(568, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(570, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(572, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(574, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(575, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(579, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(580, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(586, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(590, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(592, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(593, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(595, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetBinContent(601, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetEntries(1.113615e+08);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetDirectory(0);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->SetLineColor(3);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v2__7->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px->Add(TofTests_MultiPntHitMeanDeltaY_px_v2, "");

  TH1D* TofTests_MultiPntHitMeanDeltaY_px_v3__8 =
    new TH1D("TofTests_MultiPntHitMeanDeltaY_px_v3__8",
             "Quality of the Tof Hits position on Y axis relative to mean "
             "Point position, for hit coming from multiple MC Point",
             600, -30, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(0, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(12, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(15, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(16, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(17, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(21, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(23, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(26, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(27, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(29, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(34, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(36, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(39, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(40, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(41, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(42, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(43, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(44, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(45, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(46, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(50, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(51, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(52, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(53, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(54, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(55, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(56, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(57, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(58, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(59, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(61, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(62, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(63, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(64, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(65, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(66, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(67, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(68, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(69, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(70, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(71, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(72, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(73, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(74, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(75, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(76, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(77, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(78, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(79, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(80, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(81, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(82, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(83, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(84, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(85, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(86, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(87, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(88, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(89, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(90, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(91, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(92, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(93, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(94, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(95, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(96, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(97, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(98, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(99, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(100, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(101, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(102, 22);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(103, 22);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(104, 14);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(105, 17);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(106, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(107, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(108, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(109, 21);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(110, 24);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(111, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(112, 19);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(113, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(114, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(115, 28);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(116, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(117, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(118, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(119, 36);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(120, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(121, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(122, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(123, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(124, 37);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(125, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(126, 53);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(127, 39);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(128, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(129, 51);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(130, 32);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(131, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(132, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(133, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(134, 57);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(135, 51);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(136, 48);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(137, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(138, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(139, 55);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(140, 68);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(141, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(142, 67);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(143, 78);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(144, 66);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(145, 79);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(146, 78);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(147, 70);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(148, 75);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(149, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(150, 87);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(151, 102);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(152, 76);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(153, 83);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(154, 106);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(155, 88);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(156, 94);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(157, 104);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(158, 110);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(159, 90);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(160, 109);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(161, 118);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(162, 110);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(163, 113);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(164, 121);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(165, 148);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(166, 135);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(167, 151);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(168, 160);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(169, 154);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(170, 183);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(171, 155);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(172, 177);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(173, 179);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(174, 228);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(175, 191);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(176, 195);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(177, 271);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(178, 266);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(179, 284);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(180, 346);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(181, 339);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(182, 396);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(183, 341);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(184, 433);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(185, 405);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(186, 455);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(187, 491);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(188, 507);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(189, 530);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(190, 563);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(191, 637);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(192, 676);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(193, 663);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(194, 758);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(195, 774);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(196, 859);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(197, 853);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(198, 924);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(199, 992);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(200, 1074);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(201, 1127);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(202, 1100);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(203, 1204);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(204, 1321);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(205, 1363);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(206, 1444);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(207, 1551);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(208, 1651);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(209, 1651);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(210, 1820);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(211, 1873);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(212, 1929);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(213, 2060);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(214, 2212);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(215, 2234);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(216, 2350);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(217, 2556);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(218, 2730);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(219, 2844);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(220, 2989);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(221, 3059);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(222, 3269);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(223, 3497);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(224, 3564);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(225, 3836);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(226, 3983);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(227, 4140);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(228, 4361);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(229, 4658);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(230, 4919);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(231, 5004);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(232, 5419);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(233, 5475);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(234, 5792);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(235, 6105);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(236, 6427);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(237, 6655);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(238, 6916);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(239, 7453);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(240, 7710);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(241, 7987);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(242, 8261);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(243, 8813);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(244, 9282);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(245, 9834);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(246, 10013);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(247, 10549);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(248, 10941);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(249, 11613);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(250, 12123);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(251, 12877);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(252, 13356);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(253, 14162);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(254, 15011);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(255, 15549);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(256, 16268);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(257, 17045);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(258, 18050);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(259, 18757);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(260, 20052);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(261, 21152);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(262, 22716);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(263, 23661);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(264, 25102);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(265, 26163);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(266, 28009);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(267, 29749);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(268, 31292);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(269, 33330);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(270, 35799);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(271, 38486);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(272, 40116);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(273, 43554);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(274, 46238);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(275, 49853);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(276, 53688);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(277, 58574);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(278, 62789);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(279, 68536);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(280, 74731);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(281, 81341);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(282, 89408);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(283, 98729);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(284, 108600);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(285, 122063);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(286, 138076);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(287, 161256);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(288, 196505);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(289, 251089);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(290, 342531);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(291, 496515);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(292, 757174);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(293, 1174104);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(294, 1816357);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(295, 2729021);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(296, 3929474);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(297, 5365299);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(298, 6847621);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(299, 8104652);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(300, 8838315);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(301, 8838499);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(302, 8105080);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(303, 6844719);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(304, 5365173);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(305, 3940581);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(306, 2729991);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(307, 1815856);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(308, 1177280);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(309, 757181);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(310, 498502);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(311, 342903);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(312, 251367);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(313, 195700);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(314, 161393);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(315, 138766);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(316, 121784);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(317, 108866);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(318, 98396);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(319, 89201);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(320, 81445);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(321, 74465);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(322, 68372);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(323, 63225);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(324, 58024);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(325, 53642);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(326, 50165);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(327, 46896);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(328, 43191);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(329, 40574);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(330, 37700);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(331, 35671);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(332, 33214);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(333, 31128);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(334, 29374);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(335, 28344);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(336, 26311);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(337, 24685);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(338, 23464);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(339, 22437);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(340, 20979);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(341, 19798);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(342, 18981);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(343, 17927);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(344, 17233);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(345, 16165);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(346, 15570);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(347, 14809);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(348, 14147);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(349, 13489);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(350, 12948);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(351, 12111);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(352, 11573);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(353, 11104);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(354, 10546);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(355, 10190);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(356, 9822);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(357, 9248);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(358, 8860);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(359, 8541);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(360, 8253);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(361, 7698);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(362, 7327);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(363, 7093);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(364, 6705);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(365, 6259);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(366, 6188);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(367, 5849);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(368, 5431);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(369, 5348);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(370, 4903);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(371, 4762);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(372, 4503);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(373, 4281);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(374, 4138);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(375, 3920);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(376, 3889);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(377, 3593);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(378, 3442);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(379, 3281);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(380, 3216);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(381, 2977);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(382, 2902);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(383, 2705);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(384, 2567);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(385, 2443);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(386, 2336);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(387, 2199);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(388, 2004);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(389, 1977);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(390, 1922);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(391, 1780);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(392, 1635);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(393, 1631);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(394, 1568);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(395, 1398);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(396, 1402);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(397, 1290);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(398, 1174);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(399, 1166);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(400, 1032);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(401, 987);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(402, 1005);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(403, 937);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(404, 812);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(405, 792);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(406, 807);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(407, 700);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(408, 706);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(409, 686);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(410, 600);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(411, 586);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(412, 556);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(413, 501);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(414, 467);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(415, 466);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(416, 432);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(417, 409);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(418, 347);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(419, 337);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(420, 340);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(421, 301);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(422, 303);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(423, 270);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(424, 253);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(425, 257);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(426, 232);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(427, 180);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(428, 178);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(429, 172);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(430, 165);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(431, 162);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(432, 177);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(433, 144);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(434, 156);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(435, 141);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(436, 136);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(437, 116);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(438, 93);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(439, 134);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(440, 135);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(441, 105);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(442, 103);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(443, 113);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(444, 109);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(445, 87);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(446, 118);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(447, 83);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(448, 96);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(449, 93);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(450, 89);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(451, 79);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(452, 84);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(453, 90);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(454, 75);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(455, 59);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(456, 84);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(457, 79);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(458, 66);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(459, 69);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(460, 64);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(461, 66);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(462, 72);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(463, 59);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(464, 60);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(465, 54);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(466, 44);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(467, 52);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(468, 49);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(469, 47);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(470, 48);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(471, 58);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(472, 46);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(473, 34);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(474, 52);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(475, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(476, 50);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(477, 41);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(478, 46);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(479, 35);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(480, 46);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(481, 25);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(482, 45);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(483, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(484, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(485, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(486, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(487, 33);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(488, 31);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(489, 25);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(490, 30);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(491, 25);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(492, 26);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(493, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(494, 29);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(495, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(496, 20);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(497, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(498, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(499, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(500, 27);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(501, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(502, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(503, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(504, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(505, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(506, 16);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(507, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(508, 12);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(509, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(510, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(511, 18);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(512, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(513, 13);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(514, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(515, 15);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(516, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(517, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(518, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(519, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(520, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(521, 10);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(522, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(523, 11);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(524, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(525, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(526, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(527, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(528, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(529, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(530, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(531, 7);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(532, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(533, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(534, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(535, 9);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(536, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(537, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(538, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(539, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(540, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(541, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(542, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(543, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(544, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(545, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(546, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(547, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(548, 5);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(549, 6);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(550, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(551, 4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(552, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(554, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(555, 3);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(559, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(561, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(562, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(564, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(567, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(569, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(570, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(571, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(572, 2);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(573, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(578, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(582, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(588, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(589, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(592, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetBinContent(601, 8);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetEntries(8.577804e+07);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetDirectory(0);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->SetLineColor(4);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetTitle(" Y(Hit) - Y(Point) [cm]");
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetRange(1, 600);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetXaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetYaxis()->SetRange(1, 1);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetYaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetYaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetZaxis()->SetLabelFont(42);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiPntHitMeanDeltaY_px_v3__8->GetZaxis()->SetTitleFont(42);
  TofTests_MultiPntHitMeanDeltaY_px->Add(TofTests_MultiPntHitMeanDeltaY_px_v3, "");
  TofTests_MultiPntHitMeanDeltaY_px->Draw("nostack, hist");

  TPaveText* pt = new TPaveText(0.15, 0.935, 0.85, 0.995, "blNDC");
  pt->SetName("title");
  pt->SetBorderSize(0);
  pt->SetFillColor(0);
  pt->SetFillStyle(0);
  pt->SetTextFont(42);
  TText* text = pt->AddText("Quality of the Tof Hits position on Y axis relative to mean "
                            "Point position, for hit coming from multiple MC Point");
  pt->Draw();

  TLegend* leg = new TLegend(0.5776358, 0.7833333, 0.9271565, 0.9238095, NULL, "brNDC");
  leg->SetBorderSize(2);
  leg->SetLineColor(1);
  leg->SetLineStyle(1);
  leg->SetLineWidth(1);
  leg->SetFillColor(0);
  leg->SetFillStyle(1001);
  TLegendEntry* entry = leg->AddEntry("TofTests_MultiPntHitMeanDeltaY_px", "TofTests_MultiPntHitMeanDeltaY_px", "l");
  entry->SetLineColor(1);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitMeanDeltaY_px_v1", "TofTests_MultiPntHitMeanDeltaY_px_v1", "l");
  entry->SetLineColor(2);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitMeanDeltaY_px_v2", "TofTests_MultiPntHitMeanDeltaY_px_v2", "l");
  entry->SetLineColor(3);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiPntHitMeanDeltaY_px_v3", "TofTests_MultiPntHitMeanDeltaY_px_v3", "l");
  entry->SetLineColor(4);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  leg->Draw();
  Panel2->Modified();
  Panel2->cd();
  Panel2->SetSelected(Panel2);
}
