/** @file MultiTrkDeltaYClosest.C
  * @copyright Copyright (C) 2016 Facility for Antiproton and Ion Research in Europe, Darmstadt
  * @license SPDX-License-Identifier: GPL-3.0-only
  * @authors Pierre-Alain Loizeau [orginator] **/

{
  //=========Macro generated from canvas: Panel1/
  //=========  (Tue Sep 29 13:57:45 2015) by ROOT version5.34/32
  TCanvas* Panel1 = new TCanvas("Panel1", "", -1, 1, 1569, 844);
  Panel1->SetHighLightColor(2);
  Panel1->Range(-37.5, -1.657074, 37.5, 8.046088);
  Panel1->SetFillColor(0);
  Panel1->SetBorderMode(0);
  Panel1->SetBorderSize(2);
  Panel1->SetLogy();
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);
  Panel1->SetFrameFillColor(10);
  Panel1->SetFrameBorderMode(0);

  THStack* TofTests_MultiTrkHitClosestDeltaY_px = new THStack();
  TofTests_MultiTrkHitClosestDeltaY_px->SetName("TofTests_MultiTrkHitClosestDeltaY_px");
  TofTests_MultiTrkHitClosestDeltaY_px->SetTitle(
    "Quality of the Tof Hits position on Y axis relative to closest Track, for "
    "hit coming from multiple MC Track");

  TH1F* TofTests_MultiTrkHitClosestDeltaY_px_stack_3 =
    new TH1F("TofTests_MultiTrkHitClosestDeltaY_px_stack_3",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Track, for hit coming from multiple MC Track",
             600, -30, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->SetMinimum(0.2057038);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->SetMaximum(1.190617e+07);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->SetDirectory(0);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->SetStats(0);

  Int_t ci;       // for color index setting
  TColor* color;  // for color definition with alpha
  ci = TColor::GetColor("#000099");
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->SetLineColor(ci);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetTitle(" Y(Hit) - Y(Track) [cm]");
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetRange(1, 600);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetXaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetYaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetYaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetYaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetZaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetZaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_stack_3->GetZaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px->SetHistogram(TofTests_MultiTrkHitClosestDeltaY_px_stack_3);


  TH1D* TofTests_MultiTrkHitClosestDeltaY_px__9 =
    new TH1D("TofTests_MultiTrkHitClosestDeltaY_px__9",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Track, for hit coming from multiple MC Track",
             600, -30, 30);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(0, 2);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(23, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(37, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(39, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(41, 2);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(42, 3);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(43, 7);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(44, 5);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(45, 4);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(46, 10);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(47, 14);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(48, 9);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(49, 9);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(50, 9);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(51, 18);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(52, 10);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(53, 27);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(54, 16);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(55, 19);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(56, 22);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(57, 20);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(58, 16);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(59, 23);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(60, 32);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(61, 33);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(62, 27);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(63, 36);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(64, 56);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(65, 57);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(66, 51);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(67, 54);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(68, 51);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(69, 67);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(70, 49);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(71, 51);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(72, 67);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(73, 82);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(74, 72);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(75, 82);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(76, 67);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(77, 88);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(78, 79);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(79, 92);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(80, 99);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(81, 93);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(82, 98);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(83, 132);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(84, 111);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(85, 96);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(86, 132);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(87, 106);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(88, 134);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(89, 131);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(90, 127);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(91, 150);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(92, 155);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(93, 152);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(94, 146);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(95, 193);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(96, 169);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(97, 181);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(98, 184);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(99, 189);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(100, 199);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(101, 169);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(102, 198);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(103, 170);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(104, 226);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(105, 223);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(106, 245);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(107, 166);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(108, 264);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(109, 258);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(110, 220);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(111, 266);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(112, 247);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(113, 267);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(114, 269);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(115, 299);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(116, 265);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(117, 284);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(118, 306);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(119, 325);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(120, 333);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(121, 303);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(122, 305);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(123, 332);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(124, 322);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(125, 359);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(126, 335);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(127, 352);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(128, 398);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(129, 350);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(130, 356);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(131, 351);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(132, 380);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(133, 354);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(134, 408);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(135, 391);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(136, 400);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(137, 419);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(138, 431);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(139, 444);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(140, 458);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(141, 469);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(142, 409);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(143, 484);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(144, 491);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(145, 438);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(146, 435);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(147, 490);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(148, 507);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(149, 504);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(150, 477);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(151, 500);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(152, 565);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(153, 528);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(154, 561);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(155, 542);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(156, 614);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(157, 557);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(158, 555);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(159, 576);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(160, 551);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(161, 604);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(162, 598);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(163, 601);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(164, 579);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(165, 599);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(166, 662);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(167, 654);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(168, 661);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(169, 693);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(170, 682);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(171, 713);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(172, 765);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(173, 798);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(174, 828);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(175, 909);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(176, 911);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(177, 919);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(178, 969);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(179, 1067);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(180, 1114);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(181, 1123);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(182, 1111);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(183, 1261);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(184, 1365);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(185, 1340);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(186, 1415);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(187, 1489);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(188, 1580);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(189, 1667);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(190, 1741);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(191, 1840);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(192, 1878);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(193, 1922);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(194, 2070);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(195, 2171);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(196, 2316);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(197, 2415);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(198, 2424);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(199, 2530);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(200, 2595);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(201, 2669);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(202, 2954);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(203, 3234);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(204, 3548);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(205, 3979);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(206, 4469);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(207, 5055);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(208, 5727);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(209, 6276);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(210, 7086);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(211, 7910);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(212, 8685);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(213, 9889);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(214, 10604);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(215, 11837);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(216, 12781);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(217, 13961);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(218, 15157);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(219, 16157);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(220, 17595);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(221, 19337);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(222, 20711);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(223, 22242);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(224, 23337);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(225, 25216);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(226, 26571);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(227, 28305);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(228, 29689);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(229, 31386);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(230, 33407);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(231, 35223);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(232, 36583);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(233, 38960);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(234, 40417);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(235, 42252);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(236, 44073);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(237, 45875);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(238, 47983);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(239, 50267);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(240, 52113);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(241, 54514);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(242, 56231);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(243, 58461);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(244, 60367);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(245, 62999);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(246, 65375);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(247, 67427);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(248, 69337);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(249, 71824);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(250, 74483);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(251, 76770);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(252, 79772);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(253, 81656);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(254, 85977);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(255, 89219);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(256, 92842);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(257, 96713);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(258, 101094);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(259, 105487);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(260, 110605);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(261, 114551);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(262, 119985);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(263, 124917);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(264, 130148);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(265, 135476);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(266, 140017);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(267, 145319);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(268, 149806);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(269, 154125);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(270, 157477);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(271, 161358);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(272, 164142);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(273, 164851);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(274, 166372);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(275, 167786);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(276, 169307);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(277, 170834);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(278, 175009);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(279, 179232);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(280, 185577);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(281, 195783);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(282, 208454);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(283, 225205);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(284, 247863);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(285, 276571);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(286, 315573);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(287, 364505);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(288, 427379);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(289, 509930);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(290, 617872);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(291, 759091);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(292, 947693);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(293, 1200338);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(294, 1544613);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(295, 2004565);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(296, 2600279);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(297, 3296947);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(298, 4003770);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(299, 4610958);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(300, 4982545);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(301, 4987480);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(302, 4603358);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(303, 4001737);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(304, 3294464);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(305, 2592100);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(306, 1999506);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(307, 1541167);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(308, 1198321);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(309, 944810);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(310, 758035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(311, 614940);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(312, 509369);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(313, 426647);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(314, 363690);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(315, 314632);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(316, 276011);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(317, 247486);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(318, 224821);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(319, 207837);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(320, 195428);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(321, 185887);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(322, 179385);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(323, 173909);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(324, 171159);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(325, 169008);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(326, 167716);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(327, 165496);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(328, 164882);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(329, 162828);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(330, 160447);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(331, 156718);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(332, 154045);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(333, 149421);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(334, 144705);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(335, 139861);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(336, 135145);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(337, 130418);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(338, 124214);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(339, 119861);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(340, 115440);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(341, 109608);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(342, 104821);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(343, 100977);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(344, 96272);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(345, 92721);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(346, 89142);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(347, 85141);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(348, 82160);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(349, 78239);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(350, 76692);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(351, 73758);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(352, 71917);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(353, 69362);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(354, 66923);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(355, 64510);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(356, 62779);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(357, 60378);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(358, 58630);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(359, 56312);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(360, 53945);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(361, 51963);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(362, 49999);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(363, 48466);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(364, 46117);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(365, 43889);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(366, 42256);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(367, 40116);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(368, 38217);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(369, 36441);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(370, 34756);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(371, 32860);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(372, 31134);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(373, 29668);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(374, 28274);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(375, 26542);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(376, 25081);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(377, 23474);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(378, 22032);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(379, 20467);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(380, 18956);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(381, 17431);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(382, 16530);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(383, 15408);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(384, 14039);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(385, 12867);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(386, 11648);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(387, 10608);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(388, 9636);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(389, 8804);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(390, 7871);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(391, 7031);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(392, 6321);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(393, 5645);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(394, 4980);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(395, 4567);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(396, 3983);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(397, 3585);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(398, 3134);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(399, 2904);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(400, 2707);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(401, 2576);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(402, 2450);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(403, 2417);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(404, 2309);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(405, 2156);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(406, 2082);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(407, 2079);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(408, 1946);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(409, 1886);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(410, 1749);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(411, 1737);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(412, 1631);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(413, 1618);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(414, 1468);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(415, 1409);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(416, 1385);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(417, 1277);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(418, 1272);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(419, 1155);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(420, 1140);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(421, 1015);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(422, 1058);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(423, 944);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(424, 973);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(425, 918);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(426, 833);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(427, 766);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(428, 740);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(429, 742);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(430, 752);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(431, 707);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(432, 711);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(433, 681);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(434, 685);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(435, 627);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(436, 623);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(437, 635);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(438, 672);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(439, 620);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(440, 598);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(441, 581);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(442, 560);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(443, 594);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(444, 569);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(445, 551);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(446, 569);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(447, 535);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(448, 525);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(449, 518);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(450, 566);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(451, 530);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(452, 517);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(453, 502);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(454, 508);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(455, 503);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(456, 493);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(457, 424);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(458, 469);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(459, 461);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(460, 463);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(461, 451);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(462, 408);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(463, 419);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(464, 434);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(465, 430);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(466, 426);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(467, 414);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(468, 412);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(469, 358);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(470, 378);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(471, 360);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(472, 341);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(473, 339);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(474, 343);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(475, 339);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(476, 358);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(477, 358);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(478, 312);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(479, 336);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(480, 291);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(481, 307);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(482, 312);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(483, 295);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(484, 270);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(485, 291);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(486, 289);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(487, 257);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(488, 258);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(489, 245);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(490, 262);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(491, 258);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(492, 230);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(493, 221);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(494, 197);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(495, 220);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(496, 218);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(497, 232);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(498, 208);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(499, 189);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(500, 181);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(501, 185);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(502, 196);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(503, 180);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(504, 187);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(505, 161);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(506, 174);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(507, 158);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(508, 133);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(509, 161);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(510, 150);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(511, 140);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(512, 129);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(513, 121);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(514, 121);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(515, 128);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(516, 111);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(517, 111);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(518, 98);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(519, 93);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(520, 115);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(521, 100);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(522, 94);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(523, 74);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(524, 101);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(525, 103);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(526, 71);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(527, 66);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(528, 66);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(529, 67);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(530, 64);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(531, 70);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(532, 62);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(533, 57);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(534, 53);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(535, 45);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(536, 33);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(537, 35);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(538, 39);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(539, 41);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(540, 42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(541, 43);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(542, 31);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(543, 18);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(544, 29);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(545, 27);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(546, 24);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(547, 23);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(548, 11);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(549, 8);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(550, 11);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(551, 5);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(552, 7);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(553, 8);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(554, 3);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(555, 2);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(556, 5);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(557, 5);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(558, 5);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(559, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(560, 2);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(561, 2);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(562, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(563, 3);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(599, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetBinContent(601, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetEntries(6.978501e+07);
  TofTests_MultiTrkHitClosestDeltaY_px__9->SetDirectory(0);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetTitle(" Y(Hit) - Y(Track) [cm]");
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetRange(1, 600);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetXaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetYaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetYaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetYaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetZaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px__9->GetZaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px->Add(TofTests_MultiTrkHitClosestDeltaY_px, "");

  TH1D* TofTests_MultiTrkHitClosestDeltaY_px_v1__10 =
    new TH1D("TofTests_MultiTrkHitClosestDeltaY_px_v1__10",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Track, for hit coming from multiple MC Track",
             600, -30, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(0, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(40, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(42, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(43, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(44, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(45, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(46, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(47, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(48, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(49, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(50, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(51, 8);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(52, 13);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(53, 15);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(54, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(55, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(56, 22);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(57, 23);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(58, 25);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(59, 24);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(60, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(61, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(62, 35);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(63, 41);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(64, 41);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(65, 44);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(66, 54);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(67, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(68, 45);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(69, 39);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(70, 49);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(71, 51);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(72, 62);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(73, 60);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(74, 55);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(75, 63);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(76, 69);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(77, 84);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(78, 82);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(79, 75);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(80, 85);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(81, 75);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(82, 98);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(83, 97);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(84, 127);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(85, 119);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(86, 104);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(87, 106);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(88, 103);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(89, 125);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(90, 121);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(91, 121);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(92, 131);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(93, 127);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(94, 144);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(95, 142);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(96, 141);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(97, 166);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(98, 166);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(99, 157);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(100, 196);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(101, 170);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(102, 163);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(103, 164);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(104, 175);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(105, 197);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(106, 164);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(107, 212);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(108, 218);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(109, 193);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(110, 215);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(111, 252);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(112, 223);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(113, 217);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(114, 223);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(115, 212);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(116, 227);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(117, 218);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(118, 264);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(119, 249);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(120, 293);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(121, 291);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(122, 291);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(123, 266);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(124, 293);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(125, 288);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(126, 269);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(127, 295);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(128, 293);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(129, 300);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(130, 294);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(131, 338);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(132, 339);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(133, 336);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(134, 327);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(135, 377);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(136, 340);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(137, 333);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(138, 359);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(139, 388);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(140, 392);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(141, 362);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(142, 407);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(143, 368);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(144, 425);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(145, 380);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(146, 410);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(147, 411);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(148, 396);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(149, 415);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(150, 453);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(151, 469);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(152, 427);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(153, 437);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(154, 437);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(155, 457);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(156, 506);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(157, 493);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(158, 491);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(159, 483);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(160, 530);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(161, 488);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(162, 523);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(163, 516);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(164, 479);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(165, 519);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(166, 488);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(167, 593);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(168, 538);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(169, 576);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(170, 608);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(171, 633);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(172, 583);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(173, 665);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(174, 716);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(175, 710);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(176, 783);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(177, 735);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(178, 814);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(179, 830);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(180, 932);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(181, 872);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(182, 971);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(183, 997);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(184, 1056);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(185, 1048);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(186, 1190);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(187, 1180);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(188, 1269);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(189, 1298);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(190, 1319);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(191, 1387);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(192, 1430);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(193, 1514);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(194, 1566);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(195, 1580);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(196, 1729);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(197, 1807);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(198, 1873);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(199, 1802);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(200, 1938);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(201, 2096);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(202, 2399);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(203, 2720);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(204, 3077);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(205, 3610);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(206, 4362);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(207, 5120);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(208, 5920);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(209, 6844);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(210, 7985);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(211, 9032);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(212, 10110);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(213, 11543);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(214, 12939);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(215, 14510);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(216, 15921);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(217, 17672);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(218, 19401);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(219, 21109);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(220, 22635);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(221, 24464);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(222, 26313);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(223, 28390);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(224, 30108);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(225, 32433);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(226, 34537);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(227, 36303);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(228, 38327);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(229, 40769);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(230, 43151);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(231, 45227);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(232, 47266);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(233, 49354);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(234, 51871);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(235, 54535);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(236, 56452);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(237, 58774);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(238, 60894);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(239, 63859);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(240, 66008);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(241, 69032);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(242, 71244);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(243, 73990);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(244, 76457);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(245, 78460);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(246, 81532);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(247, 84633);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(248, 86620);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(249, 89335);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(250, 91939);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(251, 94407);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(252, 97871);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(253, 101284);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(254, 105356);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(255, 109874);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(256, 115189);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(257, 119070);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(258, 125713);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(259, 129974);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(260, 136213);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(261, 142218);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(262, 149024);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(263, 155511);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(264, 162336);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(265, 168487);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(266, 174481);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(267, 180256);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(268, 186907);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(269, 192667);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(270, 197431);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(271, 200199);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(272, 204418);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(273, 207084);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(274, 208449);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(275, 210361);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(276, 212871);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(277, 215609);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(278, 219724);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(279, 224750);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(280, 233935);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(281, 245876);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(282, 261590);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(283, 281313);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(284, 308962);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(285, 343499);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(286, 386664);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(287, 444408);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(288, 517016);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(289, 609873);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(290, 727558);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(291, 883264);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(292, 1080026);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(293, 1344472);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(294, 1694149);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(295, 2162000);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(296, 2748644);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(297, 3435877);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(298, 4122557);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(299, 4699700);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(300, 5066263);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(301, 5065393);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(302, 4695252);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(303, 4119017);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(304, 3430082);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(305, 2743061);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(306, 2153486);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(307, 1692541);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(308, 1344718);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(309, 1079820);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(310, 879247);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(311, 727643);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(312, 609039);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(313, 515794);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(314, 443535);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(315, 385790);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(316, 341970);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(317, 307650);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(318, 281489);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(319, 261120);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(320, 244674);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(321, 233597);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(322, 224312);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(323, 218516);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(324, 215155);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(325, 211792);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(326, 209758);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(327, 208301);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(328, 205879);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(329, 203266);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(330, 200101);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(331, 196043);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(332, 191886);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(333, 185768);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(334, 180308);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(335, 174114);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(336, 167105);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(337, 161105);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(338, 153757);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(339, 148103);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(340, 142315);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(341, 135322);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(342, 128922);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(343, 124726);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(344, 119675);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(345, 113599);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(346, 109080);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(347, 105289);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(348, 101066);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(349, 97487);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(350, 94226);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(351, 91592);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(352, 88335);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(353, 86613);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(354, 83101);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(355, 80997);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(356, 78408);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(357, 76137);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(358, 73466);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(359, 70822);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(360, 68403);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(361, 65732);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(362, 63186);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(363, 60686);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(364, 58546);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(365, 56294);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(366, 53705);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(367, 51521);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(368, 49724);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(369, 46998);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(370, 44866);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(371, 42467);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(372, 40290);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(373, 38280);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(374, 36299);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(375, 33877);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(376, 32126);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(377, 30342);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(378, 28257);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(379, 26328);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(380, 24144);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(381, 22513);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(382, 20884);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(383, 19297);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(384, 17320);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(385, 16268);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(386, 14411);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(387, 13098);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(388, 11682);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(389, 10511);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(390, 9050);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(391, 7944);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(392, 6971);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(393, 5944);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(394, 5084);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(395, 4306);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(396, 3634);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(397, 3069);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(398, 2690);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(399, 2326);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(400, 2068);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(401, 1964);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(402, 1878);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(403, 1782);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(404, 1730);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(405, 1738);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(406, 1640);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(407, 1605);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(408, 1519);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(409, 1372);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(410, 1454);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(411, 1327);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(412, 1286);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(413, 1223);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(414, 1172);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(415, 1105);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(416, 1045);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(417, 1060);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(418, 942);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(419, 942);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(420, 911);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(421, 872);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(422, 913);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(423, 840);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(424, 754);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(425, 761);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(426, 734);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(427, 676);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(428, 631);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(429, 611);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(430, 587);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(431, 614);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(432, 586);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(433, 558);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(434, 531);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(435, 539);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(436, 485);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(437, 509);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(438, 518);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(439, 495);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(440, 554);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(441, 511);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(442, 485);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(443, 463);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(444, 453);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(445, 484);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(446, 459);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(447, 457);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(448, 453);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(449, 448);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(450, 428);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(451, 446);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(452, 379);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(453, 412);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(454, 405);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(455, 419);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(456, 383);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(457, 371);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(458, 395);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(459, 386);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(460, 365);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(461, 360);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(462, 388);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(463, 343);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(464, 368);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(465, 344);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(466, 363);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(467, 341);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(468, 304);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(469, 354);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(470, 306);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(471, 309);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(472, 268);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(473, 338);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(474, 300);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(475, 299);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(476, 290);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(477, 259);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(478, 309);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(479, 257);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(480, 269);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(481, 254);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(482, 244);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(483, 252);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(484, 271);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(485, 260);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(486, 257);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(487, 246);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(488, 215);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(489, 239);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(490, 228);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(491, 208);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(492, 183);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(493, 201);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(494, 176);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(495, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(496, 151);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(497, 187);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(498, 174);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(499, 163);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(500, 167);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(501, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(502, 156);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(503, 170);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(504, 162);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(505, 173);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(506, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(507, 138);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(508, 130);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(509, 123);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(510, 153);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(511, 130);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(512, 126);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(513, 110);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(514, 101);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(515, 100);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(516, 80);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(517, 121);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(518, 101);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(519, 83);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(520, 105);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(521, 75);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(522, 83);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(523, 71);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(524, 77);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(525, 67);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(526, 76);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(527, 66);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(528, 61);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(529, 58);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(530, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(531, 57);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(532, 53);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(533, 41);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(534, 40);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(535, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(536, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(537, 35);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(538, 43);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(539, 31);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(540, 36);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(541, 22);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(542, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(543, 26);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(544, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(545, 20);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(546, 21);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(547, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(548, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(549, 20);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(550, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(551, 12);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(552, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(553, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(554, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(555, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(556, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(557, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(558, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(559, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(560, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(561, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(563, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(564, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetBinContent(601, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetEntries(7.652662e+07);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetDirectory(0);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->SetLineColor(2);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetTitle(" Y(Hit) - Y(Track) [cm]");
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetRange(1, 600);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetXaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetYaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetYaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetYaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetZaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v1__10->GetZaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px->Add(TofTests_MultiTrkHitClosestDeltaY_px_v1, "");

  TH1D* TofTests_MultiTrkHitClosestDeltaY_px_v2__11 =
    new TH1D("TofTests_MultiTrkHitClosestDeltaY_px_v2__11",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Track, for hit coming from multiple MC Track",
             600, -30, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(37, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(38, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(40, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(41, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(42, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(43, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(44, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(45, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(46, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(47, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(48, 7);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(49, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(50, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(51, 8);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(52, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(53, 13);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(54, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(55, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(56, 22);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(57, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(58, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(59, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(60, 29);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(61, 25);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(62, 25);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(63, 26);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(64, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(65, 40);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(66, 35);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(67, 39);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(68, 43);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(69, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(70, 42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(71, 60);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(72, 54);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(73, 47);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(74, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(75, 53);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(76, 42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(77, 44);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(78, 74);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(79, 84);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(80, 72);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(81, 92);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(82, 81);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(83, 80);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(84, 93);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(85, 71);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(86, 85);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(87, 88);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(88, 97);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(89, 106);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(90, 114);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(91, 108);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(92, 107);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(93, 122);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(94, 103);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(95, 104);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(96, 129);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(97, 128);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(98, 138);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(99, 140);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(100, 148);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(101, 146);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(102, 151);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(103, 171);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(104, 164);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(105, 164);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(106, 181);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(107, 162);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(108, 190);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(109, 198);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(110, 192);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(111, 174);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(112, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(113, 211);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(114, 203);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(115, 191);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(116, 233);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(117, 194);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(118, 234);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(119, 236);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(120, 227);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(121, 238);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(122, 250);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(123, 261);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(124, 260);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(125, 268);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(126, 235);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(127, 261);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(128, 285);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(129, 275);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(130, 279);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(131, 287);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(132, 301);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(133, 295);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(134, 340);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(135, 279);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(136, 307);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(137, 315);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(138, 343);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(139, 343);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(140, 337);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(141, 340);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(142, 358);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(143, 382);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(144, 352);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(145, 352);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(146, 374);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(147, 377);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(148, 431);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(149, 386);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(150, 401);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(151, 419);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(152, 402);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(153, 426);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(154, 465);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(155, 418);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(156, 451);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(157, 441);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(158, 466);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(159, 475);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(160, 450);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(161, 432);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(162, 471);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(163, 470);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(164, 505);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(165, 518);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(166, 510);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(167, 549);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(168, 556);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(169, 594);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(170, 711);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(171, 854);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(172, 925);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(173, 1072);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(174, 1225);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(175, 1386);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(176, 1585);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(177, 1778);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(178, 2010);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(179, 2212);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(180, 2528);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(181, 2734);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(182, 2993);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(183, 3296);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(184, 3514);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(185, 3855);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(186, 4155);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(187, 4524);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(188, 4728);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(189, 5159);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(190, 5438);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(191, 5832);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(192, 6304);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(193, 6598);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(194, 6963);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(195, 7262);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(196, 7827);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(197, 8140);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(198, 8474);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(199, 8946);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(200, 9194);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(201, 9917);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(202, 10199);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(203, 10698);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(204, 11047);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(205, 11575);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(206, 12030);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(207, 12665);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(208, 13432);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(209, 13712);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(210, 14449);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(211, 14858);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(212, 15360);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(213, 15981);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(214, 16744);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(215, 17059);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(216, 17872);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(217, 18552);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(218, 19090);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(219, 19863);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(220, 20637);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(221, 21252);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(222, 21810);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(223, 22436);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(224, 23219);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(225, 23908);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(226, 24862);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(227, 25518);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(228, 26185);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(229, 26882);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(230, 27487);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(231, 28166);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(232, 29342);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(233, 29808);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(234, 30664);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(235, 31280);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(236, 32149);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(237, 32978);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(238, 33809);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(239, 34889);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(240, 35580);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(241, 36692);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(242, 37310);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(243, 37999);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(244, 39295);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(245, 39318);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(246, 40696);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(247, 41908);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(248, 42824);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(249, 43320);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(250, 44480);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(251, 45425);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(252, 46539);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(253, 47899);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(254, 49427);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(255, 50640);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(256, 52234);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(257, 53769);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(258, 55951);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(259, 57278);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(260, 59797);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(261, 61534);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(262, 63897);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(263, 66190);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(264, 68167);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(265, 70858);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(266, 72937);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(267, 75613);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(268, 77337);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(269, 79577);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(270, 81349);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(271, 82940);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(272, 83710);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(273, 84738);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(274, 85717);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(275, 86180);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(276, 86448);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(277, 88381);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(278, 90067);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(279, 91911);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(280, 95549);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(281, 100181);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(282, 106839);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(283, 116293);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(284, 127769);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(285, 144417);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(286, 165571);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(287, 195290);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(288, 233395);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(289, 287569);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(290, 360177);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(291, 458882);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(292, 598463);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(293, 793238);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(294, 1058329);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(295, 1416421);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(296, 1884129);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(297, 2445587);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(298, 3018038);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(299, 3510846);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(300, 3824063);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(301, 3820091);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(302, 3506181);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(303, 3014333);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(304, 2437916);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(305, 1882800);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(306, 1412593);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(307, 1056013);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(308, 789820);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(309, 598967);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(310, 458038);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(311, 359464);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(312, 286047);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(313, 233432);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(314, 193684);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(315, 165587);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(316, 144118);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(317, 127908);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(318, 116030);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(319, 107046);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(320, 101151);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(321, 95444);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(322, 92662);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(323, 89367);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(324, 87834);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(325, 86660);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(326, 86529);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(327, 85723);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(328, 84751);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(329, 83674);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(330, 82916);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(331, 81021);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(332, 79281);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(333, 77508);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(334, 75287);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(335, 73759);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(336, 70823);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(337, 68138);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(338, 66341);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(339, 63887);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(340, 62026);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(341, 59747);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(342, 57530);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(343, 55796);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(344, 53568);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(345, 51934);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(346, 50066);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(347, 49214);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(348, 47909);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(349, 46474);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(350, 45584);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(351, 44392);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(352, 43523);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(353, 42646);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(354, 41737);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(355, 40736);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(356, 40068);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(357, 38794);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(358, 38201);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(359, 37350);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(360, 36568);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(361, 35505);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(362, 34729);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(363, 33672);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(364, 32964);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(365, 32544);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(366, 31360);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(367, 30469);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(368, 29720);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(369, 29014);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(370, 28525);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(371, 27866);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(372, 26906);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(373, 26100);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(374, 25394);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(375, 24410);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(376, 23994);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(377, 23239);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(378, 22481);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(379, 22010);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(380, 21080);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(381, 20647);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(382, 19835);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(383, 19313);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(384, 18585);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(385, 17600);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(386, 17179);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(387, 16662);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(388, 16089);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(389, 15517);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(390, 14711);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(391, 13970);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(392, 13599);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(393, 13117);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(394, 12640);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(395, 12123);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(396, 11591);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(397, 11017);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(398, 10702);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(399, 10307);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(400, 9915);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(401, 9486);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(402, 8918);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(403, 8455);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(404, 8162);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(405, 7737);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(406, 7555);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(407, 6999);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(408, 6504);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(409, 6199);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(410, 5859);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(411, 5431);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(412, 5139);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(413, 4792);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(414, 4576);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(415, 4191);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(416, 3862);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(417, 3501);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(418, 3167);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(419, 3044);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(420, 2821);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(421, 2487);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(422, 2231);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(423, 1980);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(424, 1767);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(425, 1605);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(426, 1431);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(427, 1258);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(428, 1024);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(429, 925);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(430, 801);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(431, 750);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(432, 674);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(433, 586);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(434, 492);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(435, 510);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(436, 522);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(437, 525);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(438, 470);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(439, 507);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(440, 491);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(441, 464);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(442, 430);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(443, 463);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(444, 473);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(445, 436);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(446, 422);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(447, 435);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(448, 424);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(449, 383);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(450, 414);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(451, 374);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(452, 433);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(453, 386);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(454, 369);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(455, 350);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(456, 369);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(457, 347);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(458, 345);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(459, 347);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(460, 347);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(461, 360);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(462, 352);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(463, 333);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(464, 323);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(465, 345);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(466, 292);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(467, 274);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(468, 300);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(469, 284);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(470, 310);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(471, 286);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(472, 289);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(473, 298);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(474, 260);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(475, 291);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(476, 250);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(477, 241);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(478, 234);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(479, 255);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(480, 227);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(481, 213);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(482, 211);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(483, 228);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(484, 226);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(485, 235);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(486, 187);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(487, 200);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(488, 190);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(489, 197);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(490, 191);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(491, 182);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(492, 199);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(493, 189);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(494, 178);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(495, 167);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(496, 163);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(497, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(498, 156);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(499, 171);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(500, 148);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(501, 149);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(502, 147);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(503, 148);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(504, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(505, 131);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(506, 129);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(507, 102);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(508, 108);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(509, 125);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(510, 104);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(511, 105);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(512, 95);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(513, 99);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(514, 100);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(515, 87);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(516, 94);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(517, 86);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(518, 86);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(519, 68);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(520, 83);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(521, 54);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(522, 63);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(523, 73);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(524, 55);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(525, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(526, 53);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(527, 58);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(528, 55);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(529, 42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(530, 38);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(531, 39);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(532, 40);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(533, 53);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(534, 45);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(535, 42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(536, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(537, 26);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(538, 24);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(539, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(540, 19);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(541, 23);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(542, 26);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(543, 19);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(544, 13);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(545, 12);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(546, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(547, 13);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(548, 17);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(549, 13);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(550, 7);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(551, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(552, 11);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(553, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(554, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(555, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(556, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(558, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(559, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetBinContent(562, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetEntries(4.871926e+07);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetDirectory(0);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->SetLineColor(3);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetTitle(" Y(Hit) - Y(Track) [cm]");
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetRange(1, 600);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetXaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetYaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetYaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetYaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetZaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v2__11->GetZaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px->Add(TofTests_MultiTrkHitClosestDeltaY_px_v2, "");

  TH1D* TofTests_MultiTrkHitClosestDeltaY_px_v3__12 =
    new TH1D("TofTests_MultiTrkHitClosestDeltaY_px_v3__12",
             "Quality of the Tof Hits position on Y axis relative to closest "
             "Track, for hit coming from multiple MC Track",
             600, -30, 30);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(28, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(40, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(42, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(43, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(44, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(45, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(46, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(47, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(48, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(49, 5);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(50, 11);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(51, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(52, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(53, 8);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(54, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(55, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(56, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(57, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(58, 12);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(59, 12);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(60, 21);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(61, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(62, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(63, 29);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(64, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(65, 23);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(66, 33);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(67, 32);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(68, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(69, 31);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(70, 31);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(71, 43);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(72, 32);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(73, 40);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(74, 39);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(75, 39);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(76, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(77, 59);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(78, 42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(79, 51);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(80, 45);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(81, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(82, 63);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(83, 67);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(84, 56);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(85, 71);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(86, 79);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(87, 71);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(88, 81);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(89, 85);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(90, 91);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(91, 81);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(92, 75);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(93, 80);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(94, 99);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(95, 96);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(96, 82);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(97, 99);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(98, 108);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(99, 105);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(100, 107);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(101, 111);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(102, 109);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(103, 123);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(104, 121);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(105, 113);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(106, 133);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(107, 127);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(108, 111);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(109, 152);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(110, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(111, 148);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(112, 149);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(113, 152);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(114, 151);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(115, 149);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(116, 179);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(117, 163);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(118, 183);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(119, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(120, 199);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(121, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(122, 183);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(123, 184);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(124, 178);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(125, 173);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(126, 218);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(127, 211);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(128, 196);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(129, 234);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(130, 243);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(131, 221);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(132, 215);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(133, 229);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(134, 221);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(135, 225);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(136, 242);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(137, 238);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(138, 230);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(139, 242);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(140, 254);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(141, 247);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(142, 282);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(143, 273);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(144, 260);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(145, 298);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(146, 302);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(147, 288);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(148, 288);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(149, 307);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(150, 289);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(151, 327);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(152, 301);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(153, 329);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(154, 347);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(155, 315);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(156, 354);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(157, 336);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(158, 352);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(159, 324);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(160, 351);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(161, 325);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(162, 366);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(163, 358);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(164, 364);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(165, 371);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(166, 365);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(167, 416);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(168, 453);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(169, 434);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(170, 489);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(171, 587);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(172, 631);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(173, 780);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(174, 819);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(175, 923);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(176, 1023);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(177, 1174);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(178, 1337);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(179, 1436);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(180, 1653);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(181, 1841);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(182, 1993);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(183, 2181);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(184, 2393);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(185, 2470);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(186, 2770);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(187, 2951);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(188, 3059);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(189, 3319);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(190, 3532);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(191, 3845);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(192, 4170);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(193, 4541);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(194, 4690);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(195, 4817);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(196, 5180);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(197, 5394);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(198, 5729);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(199, 5836);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(200, 6024);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(201, 6489);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(202, 6741);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(203, 6954);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(204, 7324);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(205, 7653);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(206, 8039);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(207, 8312);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(208, 8662);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(209, 9035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(210, 9385);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(211, 9621);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(212, 10051);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(213, 10507);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(214, 10761);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(215, 11134);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(216, 11718);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(217, 12141);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(218, 12311);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(219, 13044);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(220, 13483);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(221, 13713);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(222, 14249);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(223, 15008);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(224, 15124);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(225, 15719);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(226, 16167);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(227, 16505);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(228, 17259);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(229, 17473);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(230, 18126);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(231, 18836);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(232, 19080);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(233, 19808);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(234, 20227);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(235, 20608);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(236, 21355);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(237, 21762);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(238, 22354);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(239, 22866);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(240, 23208);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(241, 23844);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(242, 24469);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(243, 25079);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(244, 25649);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(245, 26213);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(246, 26460);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(247, 27459);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(248, 27927);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(249, 28653);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(250, 29291);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(251, 29864);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(252, 30519);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(253, 30976);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(254, 32372);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(255, 33149);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(256, 34138);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(257, 35591);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(258, 36856);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(259, 38102);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(260, 39772);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(261, 41315);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(262, 43005);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(263, 44240);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(264, 46035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(265, 48141);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(266, 48995);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(267, 51327);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(268, 52710);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(269, 54062);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(270, 55011);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(271, 56214);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(272, 57059);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(273, 57934);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(274, 58141);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(275, 58880);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(276, 60231);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(277, 60401);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(278, 61746);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(279, 62934);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(280, 65757);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(281, 69226);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(282, 73802);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(283, 79434);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(284, 87457);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(285, 99432);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(286, 114323);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(287, 135506);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(288, 162448);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(289, 200532);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(290, 252420);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(291, 326594);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(292, 429140);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(293, 576258);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(294, 778863);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(295, 1056362);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(296, 1418992);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(297, 1857743);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(298, 2308326);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(299, 2700611);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(300, 2953531);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(301, 2954172);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(302, 2698544);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(303, 2305144);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(304, 1856084);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(305, 1418481);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(306, 1054264);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(307, 778336);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(308, 575834);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(309, 429273);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(310, 325455);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(311, 253147);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(312, 200002);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(313, 161678);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(314, 134217);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(315, 113932);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(316, 98791);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(317, 87930);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(318, 79518);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(319, 73595);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(320, 69054);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(321, 65669);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(322, 63420);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(323, 61053);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(324, 60546);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(325, 59456);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(326, 59130);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(327, 58456);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(328, 57671);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(329, 57353);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(330, 56383);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(331, 55462);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(332, 54348);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(333, 53001);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(334, 51133);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(335, 49674);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(336, 47535);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(337, 46354);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(338, 44399);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(339, 42537);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(340, 41350);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(341, 39869);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(342, 38337);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(343, 36748);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(344, 35723);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(345, 34457);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(346, 33190);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(347, 31826);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(348, 31519);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(349, 30539);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(350, 29549);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(351, 28990);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(352, 28249);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(353, 27924);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(354, 27063);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(355, 26369);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(356, 26135);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(357, 25816);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(358, 24674);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(359, 24514);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(360, 23796);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(361, 23437);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(362, 22633);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(363, 22229);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(364, 21509);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(365, 21219);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(366, 20815);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(367, 20331);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(368, 19508);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(369, 19121);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(370, 18472);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(371, 17961);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(372, 17386);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(373, 17463);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(374, 16907);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(375, 16265);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(376, 15762);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(377, 15186);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(378, 15024);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(379, 14304);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(380, 13838);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(381, 13298);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(382, 13115);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(383, 12611);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(384, 12188);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(385, 11670);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(386, 11480);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(387, 10914);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(388, 10479);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(389, 10141);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(390, 9772);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(391, 9365);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(392, 8987);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(393, 8812);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(394, 8445);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(395, 7883);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(396, 7718);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(397, 7314);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(398, 7017);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(399, 6681);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(400, 6533);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(401, 6261);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(402, 5944);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(403, 5582);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(404, 5453);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(405, 5144);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(406, 4873);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(407, 4578);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(408, 4314);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(409, 4202);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(410, 3897);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(411, 3614);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(412, 3359);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(413, 3217);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(414, 2914);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(415, 2739);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(416, 2559);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(417, 2375);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(418, 2165);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(419, 1990);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(420, 1800);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(421, 1716);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(422, 1486);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(423, 1305);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(424, 1212);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(425, 976);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(426, 902);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(427, 836);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(428, 736);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(429, 668);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(430, 600);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(431, 530);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(432, 476);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(433, 412);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(434, 364);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(435, 389);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(436, 366);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(437, 362);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(438, 326);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(439, 330);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(440, 350);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(441, 345);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(442, 336);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(443, 345);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(444, 312);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(445, 306);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(446, 311);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(447, 326);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(448, 337);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(449, 300);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(450, 316);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(451, 288);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(452, 310);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(453, 323);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(454, 294);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(455, 265);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(456, 283);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(457, 298);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(458, 324);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(459, 270);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(460, 267);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(461, 211);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(462, 262);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(463, 273);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(464, 269);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(465, 244);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(466, 242);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(467, 245);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(468, 223);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(469, 255);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(470, 239);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(471, 216);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(472, 222);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(473, 241);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(474, 209);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(475, 229);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(476, 196);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(477, 205);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(478, 183);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(479, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(480, 172);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(481, 158);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(482, 165);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(483, 179);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(484, 183);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(485, 161);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(486, 155);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(487, 174);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(488, 137);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(489, 140);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(490, 143);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(491, 138);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(492, 170);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(493, 141);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(494, 110);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(495, 145);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(496, 114);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(497, 114);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(498, 140);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(499, 104);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(500, 114);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(501, 127);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(502, 120);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(503, 89);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(504, 109);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(505, 104);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(506, 96);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(507, 103);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(508, 106);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(509, 93);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(510, 90);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(511, 102);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(512, 81);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(513, 77);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(514, 69);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(515, 76);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(516, 57);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(517, 75);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(518, 78);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(519, 68);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(520, 55);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(521, 63);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(522, 44);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(523, 53);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(524, 40);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(525, 50);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(526, 47);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(527, 38);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(528, 38);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(529, 35);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(530, 47);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(531, 31);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(532, 34);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(533, 28);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(534, 27);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(535, 33);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(536, 34);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(537, 19);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(538, 18);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(539, 23);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(540, 23);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(541, 15);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(542, 15);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(543, 16);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(544, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(545, 10);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(546, 10);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(547, 14);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(548, 10);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(549, 8);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(550, 9);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(551, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(552, 8);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(553, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(554, 6);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(555, 4);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(556, 7);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(557, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(558, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(559, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(560, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(561, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(562, 2);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetBinContent(601, 3);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetEntries(3.607024e+07);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetDirectory(0);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->SetLineColor(4);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetTitle(" Y(Hit) - Y(Track) [cm]");
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetRange(1, 600);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetXaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetYaxis()->SetRange(1, 1);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetYaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetYaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetYaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetYaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetZaxis()->SetLabelFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetZaxis()->SetLabelSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetZaxis()->SetTitleSize(0.035);
  TofTests_MultiTrkHitClosestDeltaY_px_v3__12->GetZaxis()->SetTitleFont(42);
  TofTests_MultiTrkHitClosestDeltaY_px->Add(TofTests_MultiTrkHitClosestDeltaY_px_v3, "");
  TofTests_MultiTrkHitClosestDeltaY_px->Draw("nostack, hist");

  TPaveText* pt = new TPaveText(0.15, 0.932931, 0.85, 0.995, "blNDC");
  pt->SetName("title");
  pt->SetBorderSize(0);
  pt->SetFillColor(0);
  pt->SetFillStyle(0);
  pt->SetTextFont(42);
  TText* text = pt->AddText("Quality of the Tof Hits position on Y axis relative to "
                            "closest Track, for hit coming from multiple MC Track");
  pt->Draw();

  TLegend* leg = new TLegend(0.5782748, 0.7785714, 0.9277955, 0.9190476, NULL, "brNDC");
  leg->SetBorderSize(2);
  leg->SetLineColor(1);
  leg->SetLineStyle(1);
  leg->SetLineWidth(1);
  leg->SetFillColor(0);
  leg->SetFillStyle(1001);
  TLegendEntry* entry =
    leg->AddEntry("TofTests_MultiTrkHitClosestDeltaY_px", "TofTests_MultiTrkHitClosestDeltaY_px", "l");
  entry->SetLineColor(1);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiTrkHitClosestDeltaY_px_v1", "TofTests_MultiTrkHitClosestDeltaY_px_v1", "l");
  entry->SetLineColor(2);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiTrkHitClosestDeltaY_px_v2", "TofTests_MultiTrkHitClosestDeltaY_px_v2", "l");
  entry->SetLineColor(3);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  entry = leg->AddEntry("TofTests_MultiTrkHitClosestDeltaY_px_v3", "TofTests_MultiTrkHitClosestDeltaY_px_v3", "l");
  entry->SetLineColor(4);
  entry->SetLineStyle(1);
  entry->SetLineWidth(1);
  entry->SetMarkerColor(1);
  entry->SetMarkerStyle(21);
  entry->SetMarkerSize(1);
  entry->SetTextFont(42);
  leg->Draw();
  Panel1->Modified();
  Panel1->cd();
  Panel1->SetSelected(Panel1);
}
